[Touch-packages] [Bug 1813394] Re: DROPBEAR_IFDOWN=* takes interface down but leaves netplan config

2020-05-26 Thread Johan Ehnberg
It seems the workaround above does not work on Ubuntu 20.04.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1813394

Title:
  DROPBEAR_IFDOWN=* takes interface down but leaves netplan config

Status in dropbear package in Ubuntu:
  Confirmed
Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  On bionic, setting the network interface up (e.g. eno1) with DHCP now
  causes a /run/netplan/eno1.yaml and a /run/net-eno1.conf file to be
  written. The former gets imported by netplan after boot and causes the
  DHCP lease from the initrd to be around forever, which I think goes
  against the intent of DROPBEAR_IFDOWN=*.

  I have brewed up a workaround script that lives in /etc/initramfs-
  tools/scripts/init-bottom/hack-delete-netif-netplan.sh for now:

  
    8< cut >8 
  #!/bin/sh

  PREREQ=""

  prereqs() {
  echo "$PREREQ"
  }

  case "$1" in
  prereqs)
  prereqs
  exit 0
  ;;
  esac

  . /scripts/functions

  log_begin_msg "Deleting all network configuration that systemd could try to 
import"
  rm /run/net-*.conf
  rm /run/netplan/*.yaml
  log_end_msg
    8< cut >8 

  I think that dropbear-intiramfs's init-bottom script should do this in
  addition to downing the interfaces that it finds via the
  DROPBEAR_IFDOWN pattern. Do you agree?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dropbear/+bug/1813394/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880794] Re: Screen Not Wakeup After Suspend

2020-05-26 Thread Ubuntu Foundations Team Bug Bot
** Package changed: ubuntu => xorg (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880794

Title:
  Screen Not Wakeup After Suspend if Fractional Scaling is enabled

Status in mutter package in Ubuntu:
  New

Bug description:
  if you do fractional scaling(setting->display->Fractional
  Scaling),means you do change it from 100% to 125% then screen is not
  wake up after suspend and when again i set Fractional scaling to 100%
  it resume to wake up.

  Means after Fractional Scaling  screen wake up not work after suspend.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Wed May 27 08:16:04 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller 
[8086:0152] (rev 09) (prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. Xeon E3-1200 v2/3rd Gen Core processor 
Graphics Controller [1043:844d]
  InstallationDate: Installed on 2020-05-22 (4 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: System manufacturer System Product Name
  ProcEnviron:
   LANGUAGE=en_IN:en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_IN
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-31-generic 
root=UUID=48467cc2-835d-4375-b148-3a312b7c4351 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/08/2012
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 0802
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: P8H61-M LX3 R2.0
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev X.0x
  dmi.chassis.asset.tag: Asset-1234567890
  dmi.chassis.type: 3
  dmi.chassis.vendor: Chassis Manufacture
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr0802:bd10/08/2012:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnP8H61-MLX3R2.0:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: System Product Name
  dmi.product.sku: SKU
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1880794/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880794] Re: Screen Not Wakeup After Suspend

2020-05-26 Thread Daniel van Vugt
** Tags added: xrandr-scaling

** Summary changed:

- Screen Not Wakeup After Suspend
+ Screen Not Wakeup After Suspend if Fractional Scaling is enabled

** Package changed: xorg (Ubuntu) => mutter (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880794

Title:
  Screen Not Wakeup After Suspend if Fractional Scaling is enabled

Status in mutter package in Ubuntu:
  New

Bug description:
  if you do fractional scaling(setting->display->Fractional
  Scaling),means you do change it from 100% to 125% then screen is not
  wake up after suspend and when again i set Fractional scaling to 100%
  it resume to wake up.

  Means after Fractional Scaling  screen wake up not work after suspend.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Wed May 27 08:16:04 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller 
[8086:0152] (rev 09) (prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. Xeon E3-1200 v2/3rd Gen Core processor 
Graphics Controller [1043:844d]
  InstallationDate: Installed on 2020-05-22 (4 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: System manufacturer System Product Name
  ProcEnviron:
   LANGUAGE=en_IN:en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_IN
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-31-generic 
root=UUID=48467cc2-835d-4375-b148-3a312b7c4351 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/08/2012
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 0802
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: P8H61-M LX3 R2.0
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev X.0x
  dmi.chassis.asset.tag: Asset-1234567890
  dmi.chassis.type: 3
  dmi.chassis.vendor: Chassis Manufacture
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr0802:bd10/08/2012:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnP8H61-MLX3R2.0:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: System Product Name
  dmi.product.sku: SKU
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1880794/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880794] [NEW] Screen Not Wakeup After Suspend

2020-05-26 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

if you do fractional scaling(setting->display->Fractional Scaling),means
you do change it from 100% to 125% then screen is not wake up after
suspend and when again i set Fractional scaling to 100% it resume to
wake up.

Means after Fractional Scaling  screen wake up not work after suspend.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
Uname: Linux 5.4.0-31-generic x86_64
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Wed May 27 08:16:04 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller 
[8086:0152] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Xeon E3-1200 v2/3rd Gen Core processor 
Graphics Controller [1043:844d]
InstallationDate: Installed on 2020-05-22 (4 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: System manufacturer System Product Name
ProcEnviron:
 LANGUAGE=en_IN:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_IN
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-31-generic 
root=UUID=48467cc2-835d-4375-b148-3a312b7c4351 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/08/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0802
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: P8H61-M LX3 R2.0
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr0802:bd10/08/2012:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnP8H61-MLX3R2.0:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: System Product Name
dmi.product.sku: SKU
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal ubuntu
-- 
Screen Not Wakeup After Suspend
https://bugs.launchpad.net/bugs/1880794
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to xorg in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 518582] Re: mount ext fileystem fails, booting fails, blkid produces no output

2020-05-26 Thread Daniel Drake
A decade later, found the same bug in grub.

It might not affect "standard" grub usage (e.g. Ubuntu) where it may not
need to probe and guess filesystem type just to boot the system, but
thank you for the excellent diagnosis nevertheless!

https://lists.gnu.org/archive/html/grub-devel/2020-05/msg00205.html

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/518582

Title:
  mount ext fileystem fails, booting fails, blkid produces no output

Status in util-linux package in Ubuntu:
  Fix Released
Status in util-linux source package in Lucid:
  Fix Released

Bug description:
  Symptoms:  (Ubuntu 9.10 on an ext4 partition /dev/sda1)

  1. Booting fails with error message:

   Gave up waiting for root device. common problems
  -Boot args(cat/proc/cmdline)
  -check rootdelay=(did the system wait long enough?)
  -check root=(did the system wait for the right device?)
   Missing modules(cat/proc/modules; IS/dev)
   Alert!/dev/disk/by-uuid/d3bb8e26-9798-49 ce-bc57-afb6ca6za7ba does not 
exist. Drop to a shell!

  2.  "mount  /dev/sda1  /mnt"  gives  "mount: you must specify the filesystem 
type"
  but  "mount  -t ext4 /dev/sda1"   is successful

  3. "blkid /dev/sda1"  returns nothing

  4.  "blkid  -p /dev/sda1" gives "ambivalent result (probably more
  filesystems on the device)"

  5.  "hexdump -s 0x410 -n 2 /dev/sda1" returns on of the four numbers
  hexadecimals 137f, 138f, 2468,2478,


  6.   "sudo BLKID_DEBUG=0x blkid -p /dev/sda1 | grep "minix: magic"
  returns

  "ambivalent result (probably more filesystems on the device)"
   minix: magic sboff=16, kboff=1 

  
  7.  After installing util-linux-ng-2.17 from source:  "wipefs  /dev/sda1"   
returns:

  offset   type
  
  0x410minix   [filesystem]

  0x438ext4   [filesystem]
   UUID:  d3bb8e26-9798-49ce-bc57-afb6ca62a7ba

  
  I was able to cure  the problem by creating a file  on "/dev/sda1" and 
whereby changing  the number of free inodes. 

  There have been seven of these case in the Ubuntu forums by now:
  http://ubuntuforums.org/showthread.php?t=1397193
  http://ubuntuforums.org/showthread.php?t=1414662
  http://ubuntuforums.org/showthread.php?t=1068895
  http://ubuntuforums.org/showthread.php?t=1422558

  
  My diagnosis:

  Minix uses the "magic number" 137f, 138f, 2468,2478,  at  the location
  0x410   to mark a Minix file system.

  0x410 is also the location any ext filesystem uses to record the
  number of free inodes.

  In  decimals  those four numbers are  4991,5007,9320,9336

  If the number of free inodes happens to  be one of those four numbers
  plus a multiple of 65536,  then  the  ext filesystem will write  one
  of the four  Minix magic numbers  to the 0x410 location.

  So blkid gets confused  and does not  know whether the files system is Minix 
or Ext.
  In particular, if this happens on the root partition,  Ubuntu will no longer 
boot.

  Cure:

  Boot from the Ubuntu LiveCD and create a file on the affected
  partition:

  sudo mount /dev/sda1 /mnt
  sudo touch /mnt/empty_file

  This solution works for an  ext4 filesystem. But does not work for
  ext2. For ext2 one needs to replace the UUID in fstab and grub.cfg by
  the device name. See
  
https://sourceforge.net/apps/mediawiki/bootinfoscript/index.php?title=Boot_Problems:minix
  for more details.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/518582/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880728] Re: Xorg freeze

2020-05-26 Thread Daniel van Vugt
Also if the freeze happens again then immediately after rebooting please
run:

  journalctl -b-1 > prevboot.txt

and attach the resulting text file here.


** Tags added: amdgpu

** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)

** Changed in: xorg-server (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880728

Title:
  Xorg freeze

Status in xorg-server package in Ubuntu:
  Incomplete

Bug description:
  was logged in through team viewer and got kicked out.  when i was able
  to physically access the machine the screens were on, but was not able
  to move the mouse or interact with the computer.  performed hard
  reboot to get it back on.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Tue May 26 11:24:02 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GpuHangFrequency: Several times a week
  GpuHangReproducibility: Seems to happen randomly
  GpuHangStarted: Immediately after installing this version of Ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 
470/480/570/570X/580/580X/590] [1002:67df] (rev c7) (prog-if 00 [VGA 
controller])
 Subsystem: PC Partner Limited / Sapphire Technology Radeon RX 470/480 
[174b:e347]
  InstallationDate: Installed on 2020-05-09 (16 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: Micro-Star International Co., Ltd. MS-7A34
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-31-generic 
root=UUID=595b2c33-123b-4c4d-be9f-f87ce6ce8733 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  Title: Xorg freeze
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 07/08/2019
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: A.LM
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: B350 PC MATE(MS-7A34)
  dmi.board.vendor: Micro-Star International Co., Ltd
  dmi.board.version: 2.0
  dmi.chassis.asset.tag: To be filled by O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: Micro-Star International Co., Ltd.
  dmi.chassis.version: 2.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrA.LM:bd07/08/2019:svnMicro-StarInternationalCo.,Ltd.:pnMS-7A34:pvr2.0:rvnMicro-StarInternationalCo.,Ltd:rnB350PCMATE(MS-7A34):rvr2.0:cvnMicro-StarInternationalCo.,Ltd.:ct3:cvr2.0:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: MS-7A34
  dmi.product.sku: To be filled by O.E.M.
  dmi.product.version: 2.0
  dmi.sys.vendor: Micro-Star International Co., Ltd.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1880728/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880728] Re: Xorg freeze

2020-05-26 Thread Daniel van Vugt
Thank you for taking the time to report this bug and helping to make
Ubuntu better. It sounds like some part of the system has crashed. To
help us find the cause of the crash please follow these steps:

1. Look in /var/crash for crash files and if found run:
ubuntu-bug YOURFILE.crash
Then tell us the ID of the newly-created bug.

2. If step 1 failed then look at https://errors.ubuntu.com/user/ID where
ID is the content of file /var/lib/whoopsie/whoopsie-id on the machine.
Do you find any links to recent problems on that page? If so then please
send the links to us.

3. If step 2 also failed then apply the workaround from bug 994921,
reboot, reproduce the crash, and retry step 1.

Please take care to avoid attaching .crash files to bugs as we are
unable to process them as file attachments. It would also be a security
risk for yourself.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880728

Title:
  Xorg freeze

Status in xorg-server package in Ubuntu:
  Incomplete

Bug description:
  was logged in through team viewer and got kicked out.  when i was able
  to physically access the machine the screens were on, but was not able
  to move the mouse or interact with the computer.  performed hard
  reboot to get it back on.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Tue May 26 11:24:02 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GpuHangFrequency: Several times a week
  GpuHangReproducibility: Seems to happen randomly
  GpuHangStarted: Immediately after installing this version of Ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 
470/480/570/570X/580/580X/590] [1002:67df] (rev c7) (prog-if 00 [VGA 
controller])
 Subsystem: PC Partner Limited / Sapphire Technology Radeon RX 470/480 
[174b:e347]
  InstallationDate: Installed on 2020-05-09 (16 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: Micro-Star International Co., Ltd. MS-7A34
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-31-generic 
root=UUID=595b2c33-123b-4c4d-be9f-f87ce6ce8733 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  Title: Xorg freeze
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 07/08/2019
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: A.LM
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: B350 PC MATE(MS-7A34)
  dmi.board.vendor: Micro-Star International Co., Ltd
  dmi.board.version: 2.0
  dmi.chassis.asset.tag: To be filled by O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: Micro-Star International Co., Ltd.
  dmi.chassis.version: 2.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrA.LM:bd07/08/2019:svnMicro-StarInternationalCo.,Ltd.:pnMS-7A34:pvr2.0:rvnMicro-StarInternationalCo.,Ltd:rnB350PCMATE(MS-7A34):rvr2.0:cvnMicro-StarInternationalCo.,Ltd.:ct3:cvr2.0:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: MS-7A34
  dmi.product.sku: To be filled by O.E.M.
  dmi.product.version: 2.0
  dmi.sys.vendor: Micro-Star International Co., Ltd.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1880728/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880725] Re: Video Stream are hanging/buffering around every 10seconds

2020-05-26 Thread Daniel van Vugt
** Package changed: xorg (Ubuntu) => kodi (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880725

Title:
  Video Stream are hanging/buffering around every 10seconds

Status in kodi package in Ubuntu:
  New

Bug description:
  I am using KODI on Ubuntu and every Video stream I use is hanging
  after around 10 seconds. Ubuntu is setup on a Proxmox VM and the GPU
  is passed through. I tried to reinstall the driver without any effect.
  Network connection is a 50MBit/s line, so should not be the issue.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg (not installed)
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.14
  Architecture: amd64
  Date: Tue May 26 18:00:26 2020
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation Device [8086:3ea5] (rev 01) (prog-if 00 [VGA controller])
 Subsystem: Intel Corporation Device [8086:2074]
  InstallationDate: Installed on 2020-05-15 (11 days ago)
  InstallationMedia: Ubuntu-Server 18.04.4 LTS "Bionic Beaver" - Release amd64 
(20200203.1)
  MachineType: QEMU Standard PC (Q35 + ICH9, 2009)
  ProcEnviron:
   TERM=xterm
   PATH=(custom, no user)
   LANG=C.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-101-generic 
root=UUID=09ee74bf-e5a7-489d-bfed-27c845c2e9c1 ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/06/2015
  dmi.bios.vendor: EFI Development Kit II / OVMF
  dmi.bios.version: 0.0.0
  dmi.chassis.type: 1
  dmi.chassis.vendor: QEMU
  dmi.chassis.version: pc-q35-5.0
  dmi.modalias: 
dmi:bvnEFIDevelopmentKitII/OVMF:bvr0.0.0:bd02/06/2015:svnQEMU:pnStandardPC(Q35+ICH9,2009):pvrpc-q35-5.0:cvnQEMU:ct1:cvrpc-q35-5.0:
  dmi.product.name: Standard PC (Q35 + ICH9, 2009)
  dmi.product.version: pc-q35-5.0
  dmi.sys.vendor: QEMU
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.99-1ubuntu1~18.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.8-0ubuntu0~18.04.3
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4.4
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20171229-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/kodi/+bug/1880725/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880708] Re: ubuntu 14 не видит съемных носителей

2020-05-26 Thread Daniel van Vugt
** Package changed: xorg (Ubuntu) => nautilus (Ubuntu)

** Also affects: unity (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880708

Title:
  ubuntu 14 не видит съемных носителей

Status in nautilus package in Ubuntu:
  New
Status in unity package in Ubuntu:
  New

Bug description:
  usb cd dvd диски не читаются ноутбуком

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: xorg 1:7.7+1ubuntu8.1
  ProcVersionSignature: Ubuntu 3.13.0-53.89-generic 3.13.11-ckt19
  Uname: Linux 3.13.0-53-generic x86_64
  .tmp.unity.support.test.0:
   
  ApportVersion: 2.14.1-0ubuntu3.29
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  Date: Tue May 26 17:43:52 2020
  DistUpgraded: 2019-12-27 21:41:16,366 DEBUG enabling apt cron job
  DistributionChannelDescriptor:
   # This is a distribution channel descriptor
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-trusty-amd64-20140620-0
  DistroCodename: trusty
  DistroVariant: ubuntu
  DkmsStatus:
   i915-3.19-3.13, 3.19.1, 3.13.0-53-generic, x86_64: installed
   oem-audio-hda-daily, 0.201601261029~ubuntu14.04.1, 3.13.0-53-generic, 
x86_64: installed
  GraphicsCard:
   Intel Corporation Device [8086:22b1] (rev 35) (prog-if 00 [VGA controller])
 Subsystem: Dell Device [1028:06ac]
  InstallationDate: Installed on 2019-08-22 (278 days ago)
  InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 
20140620-04:25
  MachineType: Dell Inc. Inspiron 15-3552
  ProcEnviron:
   LANGUAGE=ru_UA:ru
   PATH=(custom, no user)
   LANG=ru_UA.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-53-generic.efi.signed 
root=UUID=27278fc3-e93d-4645-a39a-08d31e3b9369 ro locale=ru_RU drm.debug=0xe 
plymouth:debug quiet splash radeon.modeset=0 nouveau.modeset=0 
i915.disable_power_well=0 video.use_native_backlight=1
  SourcePackage: xorg
  UpgradeStatus: Upgraded to trusty on 2019-12-27 (150 days ago)
  dmi.bios.date: 12/22/2016
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 4.0.13
  dmi.board.name: 079W3P
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: Not Specified
  dmi.modalias: 
dmi:bvnDellInc.:bvr4.0.13:bd12/22/2016:svnDellInc.:pnInspiron15-3552:pvr4.0.13:rvnDellInc.:rn079W3P:rvrA00:cvnDellInc.:ct8:cvrNotSpecified:
  dmi.product.name: Inspiron 15-3552
  dmi.product.version: 4.0.13
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz 1:0.9.11.3+14.04.20160425-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1ubuntu0.14.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.6
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.6
  version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2.11
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.910-0ubuntu1.7
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.10-1ubuntu2
  xserver.bootTime: Tue May 26 17:15:09 2020
  xserver.configfile: default
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id   28908 
   vendor AUO
  xserver.version: 2:1.15.1-0ubuntu2.11

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/1880708/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1866194] Re: External audio device shows up in the sound output options but the sound keeps being emitted from the internal laptop speaker, or none at all.

2020-05-26 Thread Daniel van Vugt
That's excellent news.

We can't ask for a better result than the PulseAudio developers to offer
a direct fix against the original bug report. It hasn't landed upstream
yet though so please wait.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1866194

Title:
  External audio device shows up in the sound output options but the
  sound keeps being emitted from the internal laptop speaker, or none at
  all.

Status in gnome-control-center:
  Unknown
Status in PulseAudio:
  New
Status in gnome-control-center package in Ubuntu:
  Invalid
Status in pulseaudio package in Ubuntu:
  In Progress
Status in gnome-control-center source package in Focal:
  Invalid
Status in pulseaudio source package in Focal:
  In Progress

Bug description:
  Ubuntu version: focal dev
  Kernel version: 5.4.0-14-generic #17-Ubuntu SMP Thu Feb 6 22:47:59 UTC 2020
  Pulseaudio: 1:13.99.1-1ubuntu1
  Device CID: 201704-25503

  Steps to reproduce:

  1. Connect an audio interface. I tried with BT headphones and speakers as 
well as a USB microphone/output.
  2. Make sure it's the one selected as "Output device"
  3. Click "Test"
  -> the test sound outputs from the internal laptop speakers (NOK)
  4. Select "Speakers - Built-in Audio" as Output device and click "Test"
  -> the test sound outputs from the internal laptop speakers (OK)
  5. Try to switch back to the BT device and click Test
  -> same result as in step 3

  Tested with 2 different BT devices (one headset and one speaker) as
  well as a USB audio interface (Zoom H2N microphone).

  Attached are btmon logs captured during the procedure described above,
  and pactl logs capture after step 7.

  I was previously using 19.04 and 19.10 on this device and never
  experienced this kind of issue.

  Up to this morning, it was harder to connect the BT device, but once
  connected, the sound would output on it as expected. Now, the BT
  connection seems to work better, but I can't output the sound to the
  BT device...

  I tried to reboot the device, and also to suspend/resume, but in each
  case, the BT device can connect back, but the sound is still output
  from the internal laptop speakers, even when the BT device is selected
  in the Sound settings.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-14.17-generic 5.4.18
  Uname: Linux 5.4.0-14-generic x86_64
  ApportVersion: 2.20.11-0ubuntu18
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  pieq   1566 F pulseaudio
   /dev/snd/pcmC0D0c:   pieq   1566 F...m pulseaudio
   /dev/snd/pcmC0D0p:   pieq   1566 F...m pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Mar  5 22:15:50 2020
  InstallationDate: Installed on 2020-01-17 (48 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Alpha amd64 (20200116)
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/23/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.14.0
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.14.0:bd04/23/2019:svnDellInc.:pnInspiron7370:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct10:cvr:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 7370
  dmi.product.sku: 07E9
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-control-center/+bug/1866194/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1864307] Re: Many apps have no icon in Software on Focal

2020-05-26 Thread Matthias Klumpp
Nice :-) Now only the gnome-software patch is missing to fix this issue
completely (at least for the package, according to Launchpad)

** Changed in: gnome-software (Ubuntu)
   Status: Confirmed => Triaged

** Changed in: gnome-software (Ubuntu Focal)
   Status: Confirmed => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1864307

Title:
  Many apps have no icon in Software on Focal

Status in GNOME Software:
  Unknown
Status in snap-store:
  Fix Released
Status in gnome-software package in Ubuntu:
  Triaged
Status in ubuntu-meta package in Ubuntu:
  Fix Released
Status in gnome-software source package in Focal:
  Triaged
Status in ubuntu-meta source package in Focal:
  Fix Released

Bug description:
  Many applications have no icon displayed in GNOME Software 3.35.91 on
  latest Ubuntu Focal. See the attached screenshot.

  
  [Impact] 

   * Some apt packages do not include an icon in snap-store

  [Test Case]

   * Open snap-store, search for GCompris and confirm there is an
  appropriate icon

  [Regression Potential]

   * Very low.  Previous Ubuntu releases including apt-config-icons
  based on the depends in gnome-software.  This just adds an apt config
  that can be used to fetch icons for apt packages via apt.

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-software/+bug/1864307/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880682] Re: LTS 20.04 install fails with probe failure locating drives that were FreeBSD (pfSense) formatted

2020-05-26 Thread Rich Brennan
** Package changed: apport (Ubuntu) => installation-report (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1880682

Title:
  LTS 20.04 install fails with probe failure locating drives that were
  FreeBSD (pfSense) formatted

Status in installation-report package in Ubuntu:
  New

Bug description:
  I tried to install LTS 20.04 on a machine (e5-2670 powered)  which had
  drives (Crucial 500GB SATA, HGST 2GB rotating) formatted for a pfSense
  (FreeBSD) test. Install failed to probe for disks multiple times.
  dd'ing zeros over the front part of thedrives allowed installation to
  proceed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/installation-report/+bug/1880682/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1864307] Update Released

2020-05-26 Thread Chris Halse Rogers
The verification of the Stable Release Update for ubuntu-meta has
completed successfully and the package is now being released to
-updates.  Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1864307

Title:
  Many apps have no icon in Software on Focal

Status in GNOME Software:
  Unknown
Status in snap-store:
  Fix Released
Status in gnome-software package in Ubuntu:
  Confirmed
Status in ubuntu-meta package in Ubuntu:
  Fix Released
Status in gnome-software source package in Focal:
  Confirmed
Status in ubuntu-meta source package in Focal:
  Fix Released

Bug description:
  Many applications have no icon displayed in GNOME Software 3.35.91 on
  latest Ubuntu Focal. See the attached screenshot.

  
  [Impact] 

   * Some apt packages do not include an icon in snap-store

  [Test Case]

   * Open snap-store, search for GCompris and confirm there is an
  appropriate icon

  [Regression Potential]

   * Very low.  Previous Ubuntu releases including apt-config-icons
  based on the depends in gnome-software.  This just adds an apt config
  that can be used to fetch icons for apt packages via apt.

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-software/+bug/1864307/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1864307] Re: Many apps have no icon in Software on Focal

2020-05-26 Thread Launchpad Bug Tracker
This bug was fixed in the package ubuntu-meta - 1.450.1

---
ubuntu-meta (1.450.1) focal; urgency=medium

  * Added apt-config-icons-hidpi to desktop-minimal-recommends, desktop-
recommends (LP: #1864307)

 -- Ken VanDine   Mon, 11 May 2020 10:37:00
-0400

** Changed in: ubuntu-meta (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1864307

Title:
  Many apps have no icon in Software on Focal

Status in GNOME Software:
  Unknown
Status in snap-store:
  Fix Released
Status in gnome-software package in Ubuntu:
  Confirmed
Status in ubuntu-meta package in Ubuntu:
  Fix Released
Status in gnome-software source package in Focal:
  Confirmed
Status in ubuntu-meta source package in Focal:
  Fix Released

Bug description:
  Many applications have no icon displayed in GNOME Software 3.35.91 on
  latest Ubuntu Focal. See the attached screenshot.

  
  [Impact] 

   * Some apt packages do not include an icon in snap-store

  [Test Case]

   * Open snap-store, search for GCompris and confirm there is an
  appropriate icon

  [Regression Potential]

   * Very low.  Previous Ubuntu releases including apt-config-icons
  based on the depends in gnome-software.  This just adds an apt config
  that can be used to fetch icons for apt packages via apt.

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-software/+bug/1864307/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880775] [NEW] HP Envy 4524 All In One - Device communication error - code 5012;

2020-05-26 Thread Charles Vine
Public bug reported:

Situation:
Ubuntu 20.04 LTS after fresh install, NOT upgrade on desktop (had 16.04 LTS 
before). Printer was attached during fresh install of 20.04 LTS and internet 
connection, third party downloads ticked.

Bug description:
USB connected HP Envy 4524 All In One is recognized multiple times as printer 
but does not print, scans occasionally but unreliable in getting recognized by 
20.04 LTS.

Additional Information:
HP Envy 4524 All In One works flawless with Ubuntu 18.04 LTS on Laptop. Worked 
flawless with Ubuntu 16.04 LTS on the desktop used above.

Steps taken so far:
De-installed/purged hplip 3.20.3 as sudo hp-check -i showed multiple errors and 
missing dependencies. 
Installed hplip 3.20.5 from the HPLIP site and ran the script which resulted in 
compiling and installing the printer with nil errors running sudo hp-check -i. 
However, after reboot Device communication error - code 5012 re-occured 
(current hp-check log attached). 


 Log ___

administrator@office-server:~$ sudo hp-check -i
[sudo] password for administrator: 
/usr/bin/hp-check:685: SyntaxWarning: "is not" with a literal. Did you mean 
"!="?
  if 'getfacl' not in g and '' is not g and 'file' not in g:
Saving output in log file: /home/administrator/hp-check.log

HP Linux Imaging and Printing System (ver. 3.20.5)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling 
the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper 
dependencies are installed to
successfully compile HPLIP. 

  
2. Run-time check mode (-r or --run): Use this mode to determine if a distro 
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball 
has the proper dependencies
installed to successfully run.  

  
3. Both compile- and run-time check mode (-b or --both) (Default): This mode 
will check both of the above cases (both compile- and run-time dependencies).   
 

Check types:

  
a. EXTERNALDEP - External Dependencies  

  
b. GENERALDEP - General Dependencies (required both at compile and run time)

  
c. COMPILEDEP - Compile time Dependencies   

  
d. [All are run-time checks]

  
PYEXT SCANCONF QUEUES PERMISSION

  

Status Types:
OK
MISSING   - Missing Dependency or Permission or Plug-in
INCOMPAT  - Incompatible dependency-version or Plugin-version

|Gtk-Message: 09:51:18.656: Failed to load module "canberra-gtk-module"
 
---
| SYSTEM INFO |
---

 Kernel: 5.4.0-31-generic #35-Ubuntu SMP Thu May 7 20:20:34 UTC 2020 GNU/Linux
 Host: office-server
 Proc: 5.4.0-31-generic #35-Ubuntu SMP Thu May 7 20:20:34 UTC 2020 GNU/Linux
 Distribution: 12 20.04
 Bitness: 64 bit


---
| HPLIP CONFIGURATION |
---

HPLIP-Version: HPLIP 3.20.5
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for ubuntu distro  20.04 
version 

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.20.5

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.20.5
html=/usr/share/doc/hplip-3.20.5
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]

[Touch-packages] [Bug 1859013] Re: openssh tests use "not valid yet" certificate from 2020, which is now valid

2020-05-26 Thread Brian Murray
Hello Dimitri, or anyone else affected,

Accepted openssh into xenial-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/openssh/1:7.2p2-4ubuntu2.10 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
xenial to verification-done-xenial. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-xenial. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Tags removed: verification-done-xenial
** Tags added: verification-needed verification-needed-xenial

** Tags removed: block-proposed-xenial verification-needed 
verification-needed-xenial
** Tags added: verification-done-xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1859013

Title:
  openssh tests use "not valid yet" certificate from 2020, which is now
  valid

Status in openssh package in Ubuntu:
  Fix Released
Status in openssh source package in Precise:
  New
Status in openssh source package in Trusty:
  New
Status in openssh source package in Xenial:
  Fix Committed
Status in openssh source package in Bionic:
  Fix Committed
Status in openssh source package in Disco:
  Won't Fix
Status in openssh source package in Eoan:
  Fix Committed
Status in openssh source package in Focal:
  Fix Released

Bug description:
  [Impact]

   * regression testsuite uses 1st of January 2020 as the date in the
  future, however that is now in the past making autpkgtests fail.

  [Test Case]

   * Autopkgtest must pass

  [Regression Potential]

   * Testsuite assertion update only

  [Other Info]

  This is a staged update to be rolled up with any other openssh update
  in the future.

  fixed in debian https://tracker.debian.org/news/1092767/accepted-
  openssh-181p1-4-source-into-unstable/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1859013/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1877454] Re: openssh-server hangs with AuthorizedKeysCommand

2020-05-26 Thread Brian Murray
Hello Jeremy, or anyone else affected,

Accepted openssh into xenial-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/openssh/1:7.2p2-4ubuntu2.10 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
xenial to verification-done-xenial. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-xenial. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: openssh (Ubuntu Xenial)
   Status: Confirmed => Fix Committed

** Tags added: verification-needed verification-needed-xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1877454

Title:
  openssh-server hangs with AuthorizedKeysCommand

Status in openssh package in Ubuntu:
  Fix Released
Status in openssh source package in Xenial:
  Fix Committed

Bug description:
  [Impact]

  On a default Xenial install, when sshd is configured to obtain the
  list of allowed keys using AuthorizedKeysCommand (or the list of
  allowed certificate principals using AuthorizedPrincipalsCommand), and
  if the command pointed by Authorized{Keys,Principals}Command generates
  a lot of output, sshd will hang while reading this same output. In a
  nutshell, the problem happens when the subprocess generates enough
  data to fill the pipe's buffer; in this scenario, sshd will wait(2) on
  the subprocess, which will be blocked trying to write the rest of the
  output.

  [Test Case]

  In order to reproduce the bug, one can:

  $ lxc launch ubuntu-daily:xenial openssh-server-bug1877454
  $ lxc shell openssh-server-bug1877454
  # ssh-keygen
  (no need to choose a passphrase for the key, just hit ENTER on all prompts)
  # cat > authkeyscommand.sh << __EOF__
  #!/bin/bash

  cat /root/.ssh/id_rsa.pub
  echo
  head -c 1M < /dev/urandom
  __EOF__
  # chmod +x authkeyscommand.sh
  # cat >> /etc/ssh/sshd_config << __EOF__
  AuthorizedKeysCommand /root/authkeyscommand.sh
  AuthorizedKeysCommandUser root
  __EOF__
  # systemctl reload sshd.service
  # ssh root@127.0.0.1

  You will notice that ssh will stay there waiting for sshd's reply,
  which won't come.  The expected result would be for ssh to succeed.

  [Regression Potential]

  Since the affected code deals with executing a subprocess, reading its
  output through a pipe, and then relying on wait(2) to determine
  whether the subprocess exited correctly; and considering that this
  code is written in C without the help of features like RAII and with
  the use of goto statements, we are not able to disconsider the chances
  of making a mistake and forgetting to free a resource or to properly
  read/write from/to pipes, for example.  This is, after all, the reason
  the bug happened in the first place.

  Having said that, openssh contains extensive tests and the code is
  well organized and relatively easy to follow.  Upon close inspection,
  there doesn't seem to be an evident problem with the backported fixes.

  As usual when dealing with a somewhat older distribution, there is
  always the possibility of encountering problems because we will be
  recompiling openssh using the most recent versions of its build
  dependencies.

  [Original Description]

  Please consider applying this change to openssh-server distributed in Xenial 
(16.04).
  Without it, sshd can sporadically hang when making use of the 
`AuthorizedKeysCommand` option.

  https://github.com/openssh/openssh-
  portable/commit/ddd3d34e5c7979ca6f4a3a98a7d219a4ed3d98c2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1877454/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1833174] Re: Shadowing the vim-window results in vim-gtk3 crash

2020-05-26 Thread Brian Murray
** Tags added: focal groovy

** Changed in: vim (Ubuntu)
   Status: Confirmed => Triaged

** Changed in: vim (Ubuntu)
   Importance: Undecided => High

** Tags added: rls-gg-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to vim in Ubuntu.
https://bugs.launchpad.net/bugs/1833174

Title:
   Shadowing the vim-window results in vim-gtk3 crash

Status in vim:
  Unknown
Status in vim package in Ubuntu:
  Triaged

Bug description:
  With XFCE when I try to "shadow" the vim-gtk3 window (just to show only the 
title bar) it results in a vim crash and the window just disappears without any 
core dump neither .swp files on.
  The only message I get on the terminal is

  BadMatch (invalid parameter attributes)
  Vim: Got X error
  Vim: Finished.

  This behaviour started from Xubuntu 18.04.
  The vim-gtk package is not suffering from this problem.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: vim-gtk3 2:8.1.0320-1ubuntu3.1
  ProcVersionSignature: Ubuntu 5.0.0-16.17-generic 5.0.8
  Uname: Linux 5.0.0-16-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Tue Jun 18 09:10:38 2019
  InstallationDate: Installed on 2019-04-23 (55 days ago)
  InstallationMedia: Xubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  SourcePackage: vim
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/vim/+bug/1833174/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880768] [NEW] usermod/userdel errantly believe processes are in use

2020-05-26 Thread Kevin Blackham
Public bug reported:

I have found an occasional inability to remove or modify users due to
incorrect matching of process owners, e.g.

# id -u bdobbs
1047
# usermod -u 1573552 bdobbs
usermod: user bdobbs is currently used by process 6337
# cat /proc/6337/status | grep Uid
Uid:3000400 3000400 3000400 3000400

In `libmisc/user_busy.c` a check is performed for processes owned by a
user which is being modified. Searching subordinate user IDs causes
errant matches. This has been fixed upstream, and is included in
passwd-4.8 and the issue does not appear to exist in groovy.

https://github.com/shadow-
maint/shadow/commit/fd4405b763d26649339069532e79bd45013c8c38 I believe
this fix should be backported to xenial and bionic.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: passwd 1:4.2-3.1ubuntu5.4
ProcVersionSignature: Ubuntu 4.4.0-1107.118-aws 4.4.219
Uname: Linux 4.4.0-1107-aws x86_64
ApportVersion: 2.20.1-0ubuntu2.23
Architecture: amd64
Date: Tue May 26 22:18:00 2020
Ec2AMI: ami-4e79ed36
Ec2AMIManifest: (unknown)
Ec2AvailabilityZone: us-west-2a
Ec2InstanceType: t3.medium
Ec2Kernel: unavailable
Ec2Ramdisk: unavailable
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
SourcePackage: shadow
UpgradeStatus: No upgrade log present (probably fresh install)
modified.conffile..etc.cron.daily.passwd: [deleted]

** Affects: shadow (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug ec2-images patch-accepted-upstream xenial

** Patch added: "patch from upstream"
   
https://bugs.launchpad.net/bugs/1880768/+attachment/5377125/+files/namespace.patch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to shadow in Ubuntu.
https://bugs.launchpad.net/bugs/1880768

Title:
  usermod/userdel errantly believe processes are in use

Status in shadow package in Ubuntu:
  New

Bug description:
  I have found an occasional inability to remove or modify users due to
  incorrect matching of process owners, e.g.

  # id -u bdobbs
  1047
  # usermod -u 1573552 bdobbs
  usermod: user bdobbs is currently used by process 6337
  # cat /proc/6337/status | grep Uid
  Uid:  3000400 3000400 3000400 3000400

  In `libmisc/user_busy.c` a check is performed for processes owned by a
  user which is being modified. Searching subordinate user IDs causes
  errant matches. This has been fixed upstream, and is included in
  passwd-4.8 and the issue does not appear to exist in groovy.

  https://github.com/shadow-
  maint/shadow/commit/fd4405b763d26649339069532e79bd45013c8c38 I believe
  this fix should be backported to xenial and bionic.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: passwd 1:4.2-3.1ubuntu5.4
  ProcVersionSignature: Ubuntu 4.4.0-1107.118-aws 4.4.219
  Uname: Linux 4.4.0-1107-aws x86_64
  ApportVersion: 2.20.1-0ubuntu2.23
  Architecture: amd64
  Date: Tue May 26 22:18:00 2020
  Ec2AMI: ami-4e79ed36
  Ec2AMIManifest: (unknown)
  Ec2AvailabilityZone: us-west-2a
  Ec2InstanceType: t3.medium
  Ec2Kernel: unavailable
  Ec2Ramdisk: unavailable
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/zsh
  SourcePackage: shadow
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.cron.daily.passwd: [deleted]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/shadow/+bug/1880768/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1727908] Re: Software & Updates application does not permit changes on the "Other Software" tab

2020-05-26 Thread Gunnar Hjalmarsson
Verified the test case using software-properties-gtk 0.96.24.32.13 from
bionic-proposed.

** Tags removed: verification-needed verification-needed-bionic
** Tags added: verification-done verification-done-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1727908

Title:
  Software & Updates application does not permit changes on the "Other
  Software" tab

Status in software-properties package in Ubuntu:
  Fix Released
Status in software-properties source package in Bionic:
  Fix Committed

Bug description:
  * Impact
  Changes on the 'Other Software tab' sometime fail to ask for credential and 
fail to apply as a consequence

  * Test Case
  - start software-properties-gtk
  - got to the 'Other Software Tab'
  - try to change the value of a checkbox

  The change should prompt for a password and be active

  * Regression potential
  the change is a small sleep workaround to avoid trying to get the focus while 
GTK still has it, outside of a tiny delay in the active it should have no 
consequence

  ---

  
  On the "Other Software" tab, I am unable to select "Canonical Partners".
  Similarly, the other checkboxes on the "Other Software" can not be clicked.
  Clicking on a checkbox has no effect, and a dialog requesting the admin 
password is not presented.

  However, activating or deactivating checkboxes on other tabs causes an
  authorization dialog to be presented to the user.

  I experience this bug in an an Xorg session.

  sources.list and sources.list.d have the following permissions:
  -rw-r--r--   1 root root  2897 Oct 26 22:35 sources.list
  drwxr-xr-x   2 root root  4096 Oct 26 21:29 sources.list.d

  All files in sources.list.d have the following permissions as this example:
  -rw-r--r-- 1 root root  189 Oct 25 21:50 google-chrome.list

  $ lsb_release -rd
  Description:  Ubuntu 17.10
  Release:  17.10

  $ apt-cache policy software-properties-gtk
  software-properties-gtk:
    Installed: 0.96.24.17
    Candidate: 0.96.24.17
    Version table:
   *** 0.96.24.17 500
  500 http://us.archive.ubuntu.com/ubuntu artful/main amd64 Packages
  500 http://us.archive.ubuntu.com/ubuntu artful/main i386 Packages
  100 /var/lib/dpkg/status

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: software-properties-gtk 0.96.24.17
  ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
  Uname: Linux 4.13.0-16-generic x86_64
  NonfreeKernelModules: wl nvidia_uvm nvidia_drm nvidia_modeset nvidia
  ApportVersion: 2.20.7-0ubuntu3.1
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Thu Oct 26 22:45:09 2017
  InstallationDate: Installed on 2017-10-26 (1 days ago)
  InstallationMedia: Ubuntu 17.10.0 2017.10.25 amd64 "Custom Artful Aardvark"
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: software-properties
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1727908/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1860267] Re: software-properties-gtk crashed with AttributeError in run(): 'SoftwarePropertiesGtk' object has no attribute 'on_keyboard_Interrupt'

2020-05-26 Thread Brian Murray
** Information type changed from Private to Public

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1860267

Title:
  software-properties-gtk crashed with AttributeError in run():
  'SoftwarePropertiesGtk' object has no attribute
  'on_keyboard_Interrupt'

Status in software-properties package in Ubuntu:
  New

Bug description:
  Steps to reproduce:
  1. Open terminal and execute `software-properties-gtk`
  2. Wait it to open
  3. Press + in the terminal to stop it.

  Expected result:
  * Software & Updates window closed quietly and clean

  Actual results:
  * Software & Updates window closed with errors in terminal

  focal@focal-VirtualBox:~$ software-properties-gtk
  ^CTraceback (most recent call last):
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/SimpleGtkbuilderApp.py", 
line 54, in run
  Gtk.Application.run(self, None)
File "/usr/lib/python3/dist-packages/gi/overrides/Gio.py", line 44, in run
  return Gio.Application.run(self, *args, **kwargs)
File "/usr/lib/python3.7/contextlib.py", line 119, in __exit__
  next(self.gen)
File "/usr/lib/python3/dist-packages/gi/_ossighelper.py", line 251, in 
register_sigint_fallback
  signal.default_int_handler(signal.SIGINT, None)
  KeyboardInterrupt

  During handling of the above exception, another exception occurred:

  Traceback (most recent call last):
File "/usr/bin/software-properties-gtk", line 101, in 
  app.run()
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/SimpleGtkbuilderApp.py", 
line 56, in run
  self.on_keyboard_Interrupt() 
  AttributeError: 'SoftwarePropertiesGtk' object has no attribute 
'on_keyboard_Interrupt'
  focal@focal-VirtualBox:~$ 

  
   and "Crash report" dialog afterwards.

  ProblemType: Crash
  DistroRelease: Ubuntu 20.04
  Package: software-properties-gtk 0.98.6
  ProcVersionSignature: Ubuntu 5.4.0-9.12-generic 5.4.3
  Uname: Linux 5.4.0-9-generic x86_64
  ApportVersion: 2.20.11-0ubuntu15
  Architecture: amd64
  CrashCounter: 1
  CurrentDesktop: MATE
  Date: Sun Jan 19 13:10:46 2020
  ExecutablePath: /usr/bin/software-properties-gtk
  InstallationDate: Installed on 2020-01-16 (2 days ago)
  InstallationMedia: Ubuntu-MATE 20.04 LTS "Focal Fossa" - Alpha amd64 
(20200115)
  InterpreterPath: /usr/bin/python3.7
  PackageArchitecture: all
  ProcCmdline: /usr/bin/python3 /usr/bin/software-properties-gtk
  Python3Details: /usr/bin/python3.7, Python 3.7.6, python3-minimal, 
3.7.5-1ubuntu1
  PythonArgs: ['/usr/bin/software-properties-gtk']
  PythonDetails: /usr/bin/python2.7, Python 2.7.17, python-minimal, 2.7.17-1
  SourcePackage: software-properties
  Title: software-properties-gtk crashed with AttributeError in run(): 
'SoftwarePropertiesGtk' object has no attribute 'on_keyboard_Interrupt'
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1860267/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880240] Re: Systemd xinetd generator forgets ip-binding

2020-05-26 Thread Seth Arnold
** Information type changed from Private Security to Public Security

** Package changed: systemd (Ubuntu) => uucp (Ubuntu)

** Summary changed:

- Systemd xinetd generator forgets ip-binding
+ systemd uucp.socket listens to all addresses

** Changed in: uucp (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1880240

Title:
  systemd uucp.socket listens to all addresses

Status in uucp package in Ubuntu:
  Invalid

Bug description:
  Systemd generator for converting xinetd services does not convert "bind =" to 
an equivalent.
  Maybe this should be "ListenStream="

  Instead service will be listen to any, that's insecure.

  245.4-4ubuntu3 on Ubuntu 20.04 64 bit.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/uucp/+bug/1880240/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1845797] Re: Microphone not detected Lenovo Yoga S940

2020-05-26 Thread Daniele Dellafiore
New report generated and new bug reported here:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1880766

As now is not mic not detected, is the whole card not detected.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1845797

Title:
  Microphone not detected Lenovo Yoga S940

Status in Linux:
  Confirmed
Status in alsa-driver package in Ubuntu:
  Confirmed
Status in linux package in Ubuntu:
  Incomplete

Bug description:
  Ubuntu 19.10 as well as 19.04 do not detect the microphone in Lenovo
  Yoga S940

  Attached the screen of gnome sound control panel.

  Inxi output:

  System:Host:  Kernel: 5.3.0-13-generic x86_64 bits: 64 Desktop: 
Gnome 3.34.0 Distro: Ubuntu 19.10 (Eoan Ermine) 
  Machine:   Type: Laptop System: LENOVO product: 81Q7 v: Lenovo Yoga 
S940-14IWL serial:  
 Mobo: LENOVO model: LNVNB161216 v: SDK0J40709 WIN serial:  UEFI: LENOVO v: AKCN34WW date: 06/12/2019 
  CPU:   Topology: Quad Core model: Intel Core i7-8565U bits: 64 type: MT 
MCP L2 cache: 8192 KiB 
 Speed: 1161 MHz min/max: 400/4600 MHz Core speeds (MHz): 1: 1161 
2: 1195 3: 1848 4: 976 5: 1041 6: 1209 7: 1061 
 8: 2229 
  Audio: Device-1: Intel Cannon Point-LP High Definition Audio driver: 
snd_hda_intel 
 Sound Server: ALSA v: k5.3.0-13-generic
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu7
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  daniele2239 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 19.10
  InstallationDate: Installed on 2019-09-12 (17 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: LENOVO 81Q7
  Package: pulseaudio 1:13.0-1ubuntu1
  PackageArchitecture: amd64
  ProcFB: 0 i915drmfb
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.3.0-13-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
  ProcVersionSignature: Ubuntu 5.3.0-13.14-generic 5.3.0
  RelatedPackageVersions:
   linux-restricted-modules-5.3.0-13-generic N/A
   linux-backports-modules-5.3.0-13-generic  N/A
   linux-firmware1.182
  Tags:  eoan
  Uname: Linux 5.3.0-13-generic x86_64
  UpgradeStatus: Upgraded to eoan on 2019-09-21 (8 days ago)
  UserGroups: adm cdrom dip docker lpadmin microk8s plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 06/12/2019
  dmi.bios.vendor: LENOVO
  dmi.bios.version: AKCN34WW
  dmi.board.asset.tag: No Asset Tag
  dmi.board.name: LNVNB161216
  dmi.board.vendor: LENOVO
  dmi.board.version: SDK0J40709 WIN
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Lenovo Yoga S940-14IWL
  dmi.modalias: 
dmi:bvnLENOVO:bvrAKCN34WW:bd06/12/2019:svnLENOVO:pn81Q7:pvrLenovoYogaS940-14IWL:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrLenovoYogaS940-14IWL:
  dmi.product.family: Yoga S940-14IWL
  dmi.product.name: 81Q7
  dmi.product.sku: LENOVO_MT_81Q7_BU_idea_FM_Yoga S940-14IWL
  dmi.product.version: Lenovo Yoga S940-14IWL
  dmi.sys.vendor: LENOVO

To manage notifications about this bug go to:
https://bugs.launchpad.net/linux/+bug/1845797/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880766] [NEW] PCI/internal sound card not detected

2020-05-26 Thread Daniele Dellafiore
Public bug reported:

Something got wrong with audio on my laptop, where for the first 6 weeks
using Focal it was working ok, both sound and mic.


Lenovo Yoga S940
Intel® Core™ i7-1065G7 CPU @ 1.30GHz × 8 
Mesa Intel® Iris(R) Plus Graphics (ICL GT2)
Ubuntu 20.04 focal

$ uname -r
5.4.0-31-generic

$ lspci | grep Audio
00:1f.3 Multimedia audio controller: Intel Corporation Smart Sound Technology 
Audio Controller (rev 30)

$ aplay -l
aplay: device_list:274: no soundcards found...

$ cat /proc/asound/cards
--- no soundcards ---


This got worst from this: 
https://bugs.launchpad.net/linux/+bug/1845797

But for a while, all focal kernel until the last one, it was working
properly, now the whole audio is gone despite lspci still see the Audio
Controller.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
Uname: Linux 5.4.0-31-generic x86_64
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Tue May 26 22:57:56 2020
InstallationDate: Installed on 2020-04-16 (40 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200415.2)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Title: PCI/internal sound card not detected
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/21/2019
dmi.bios.vendor: LENOVO
dmi.bios.version: BQCN29WW
dmi.board.asset.tag: No Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo Yoga S940-14IIL
dmi.modalias: 
dmi:bvnLENOVO:bvrBQCN29WW:bd10/21/2019:svnLENOVO:pn81Q8:pvrLenovoYogaS940-14IIL:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrLenovoYogaS940-14IIL:
dmi.product.family: Yoga S940-14IIL
dmi.product.name: 81Q8
dmi.product.sku: LENOVO_MT_81Q8_BU_idea_FM_Yoga S940-14IIL
dmi.product.version: Lenovo Yoga S940-14IIL
dmi.sys.vendor: LENOVO

** Affects: alsa-driver (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal

** Attachment added: "lspci -b -vv"
   https://bugs.launchpad.net/bugs/1880766/+attachment/5377118/+files/lspci

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1880766

Title:
  PCI/internal sound card not detected

Status in alsa-driver package in Ubuntu:
  New

Bug description:
  Something got wrong with audio on my laptop, where for the first 6
  weeks using Focal it was working ok, both sound and mic.

  
  Lenovo Yoga S940
  Intel® Core™ i7-1065G7 CPU @ 1.30GHz × 8 
  Mesa Intel® Iris(R) Plus Graphics (ICL GT2)
  Ubuntu 20.04 focal

  $ uname -r
  5.4.0-31-generic

  $ lspci | grep Audio
  00:1f.3 Multimedia audio controller: Intel Corporation Smart Sound Technology 
Audio Controller (rev 30)

  $ aplay -l
  aplay: device_list:274: no soundcards found...

  $ cat /proc/asound/cards
  --- no soundcards ---

  
  This got worst from this: 
  https://bugs.launchpad.net/linux/+bug/1845797

  But for a while, all focal kernel until the last one, it was working
  properly, now the whole audio is gone despite lspci still see the
  Audio Controller.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Tue May 26 22:57:56 2020
  InstallationDate: Installed on 2020-04-16 (40 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200415.2)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Title: PCI/internal sound card not detected
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/21/2019
  dmi.bios.vendor: LENOVO
  dmi.bios.version: BQCN29WW
  dmi.board.asset.tag: No Asset Tag
  dmi.board.name: LNVNB161216
  dmi.board.vendor: LENOVO
  dmi.board.version: SDK0J40709 WIN
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Lenovo Yoga S940-14IIL
  dmi.modalias: 
dmi:bvnLENOVO:bvrBQCN29WW:bd10/21/2019:svnLENOVO:pn81Q8:pvrLenovoYogaS940-14IIL:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrLenovoYogaS940-14IIL:
  dmi.product.family: Yoga S940-14IIL
  dmi.product.name: 81Q8
  dmi.product.sku: LENOVO_MT_81Q8_BU_idea_FM_Yoga S940-14IIL
  dmi.product.version: Lenovo Yoga S940-14IIL
  dmi.sys.vendor: LENOVO

To manage 

[Touch-packages] [Bug 1878670] Re: Reproduceable i915 gpu hang Intel Iris Plus Graphics (Ice Lake 8x8 GT2)

2020-05-26 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: mesa (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1878670

Title:
  Reproduceable i915 gpu hang Intel Iris Plus Graphics (Ice Lake 8x8
  GT2)

Status in OEM Priority Project:
  Incomplete
Status in linux package in Ubuntu:
  Triaged
Status in linux-oem-osp1 package in Ubuntu:
  Confirmed
Status in mesa package in Ubuntu:
  Confirmed

Bug description:
  The system freezes frequently then logs out.
  If happens at apparently random times, and using no particular app.

  Extract of syslog is attached.

  Requested info is below:

  1) release
  Ubuntu 18.04.2 LTS (beaver-osp1-melisa X30)

  2) package version
  gnome-session:
Installeret: (ingen)
Kandidat:3.28.1-0ubuntu3
Versionstabel:
   3.28.1-0ubuntu3 500
  500 http://dk.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 
Packages
   3.28.1-0ubuntu2 500
  500 http://dk.archive.ubuntu.com/ubuntu bionic/universe amd64 Packages

  3) Gnome shouldn't crash

  4) Gnome crashed

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1878670/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878670] Re: Reproduceable i915 gpu hang Intel Iris Plus Graphics (Ice Lake 8x8 GT2)

2020-05-26 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: linux-oem-osp1 (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1878670

Title:
  Reproduceable i915 gpu hang Intel Iris Plus Graphics (Ice Lake 8x8
  GT2)

Status in OEM Priority Project:
  Incomplete
Status in linux package in Ubuntu:
  Triaged
Status in linux-oem-osp1 package in Ubuntu:
  Confirmed
Status in mesa package in Ubuntu:
  Confirmed

Bug description:
  The system freezes frequently then logs out.
  If happens at apparently random times, and using no particular app.

  Extract of syslog is attached.

  Requested info is below:

  1) release
  Ubuntu 18.04.2 LTS (beaver-osp1-melisa X30)

  2) package version
  gnome-session:
Installeret: (ingen)
Kandidat:3.28.1-0ubuntu3
Versionstabel:
   3.28.1-0ubuntu3 500
  500 http://dk.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 
Packages
   3.28.1-0ubuntu2 500
  500 http://dk.archive.ubuntu.com/ubuntu bionic/universe amd64 Packages

  3) Gnome shouldn't crash

  4) Gnome crashed

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1878670/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1880412] [NEW] CLI displays unknown extra IP Address

2020-05-26 Thread Seth Arnold
On Sun, May 24, 2020 at 03:06:48PM -, Nik DuVall wrote:
> While working to set up an additional IP Address on the server from
> VMWare, somehow the MOTD is coming up with an extra IP Address that
> doesn't exist on the interface (172.16.50.7).
> 
> MOTD + ifconfig output below demonstrating the bug :

Hello, please note that one of the reasons why ifconfig has been
deprecated since 1999 is that it does not know about multiple IP addresses
on a given interface. Compare with the ip addr output instead, which does
know how to manipulate multiple IP addresses on an interface.

Thanks

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1880412

Title:
  CLI displays unknown extra IP Address

Status in openssh package in Ubuntu:
  New

Bug description:
  While working to set up an additional IP Address on the server from
  VMWare, somehow the MOTD is coming up with an extra IP Address that
  doesn't exist on the interface (172.16.50.7).

  MOTD + ifconfig output below demonstrating the bug :

  user@localworkstation ~ % ssh server  
  Welcome to Ubuntu 20.04 LTS (GNU/Linux 5.4.0-31-generic x86_64)

   * Documentation:  https://help.ubuntu.com
   * Management: https://landscape.canonical.com
   * Support:https://ubuntu.com/advantage

System information as of Sun 24 May 2020 02:56:13 PM UTC

System load: 0.0
Usage of /:  6.4% of 97.93GB
Memory usage:34%
Swap usage:  0%
Processes:   218
Users logged in: 0
IPv4 address for ens160: 172.16.30.15
IPv4 address for ens161: 172.16.40.53
IPv4 address for ens193: 172.16.100.53
IPv4 address for ens224: 172.16.10.53
IPv4 address for ens225: 172.16.50.6
IPv4 address for ens225: 172.16.50.7
IPv4 address for ens256: 172.16.20.53

  
  0 updates can be installed immediately.
  0 of these updates are security updates.

  Failed to connect to https://changelogs.ubuntu.com/meta-release-lts.
  Check your Internet connection or proxy settings

  
  Last login: Sun May 24 14:54:15 2020 from 172.16.10.46
  user@server:~$ ifconfig ens225
  ens225: flags=4163  mtu 1500
  inet 172.16.50.6  netmask 255.255.255.0  broadcast 172.16.50.255
  inet6 fe80::282c:c0bc:4862:d381  prefixlen 64  scopeid 0x20
  ether 00:0c:29:c9:36:42  txqueuelen 1000  (Ethernet)
  RX packets 1587  bytes 147366 (147.3 KB)
  RX errors 0  dropped 0  overruns 0  frame 0
  TX packets 49  bytes 4610 (4.6 KB)
  TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

  user@server:~$

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: openssh-server 1:8.2p1-4
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: pass
  Date: Sun May 24 14:58:54 2020
  InstallationDate: Installed on 2020-04-25 (28 days ago)
  InstallationMedia: Ubuntu-Server 20.04 LTS "Focal Fossa" - Release amd64 
(20200423)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SSHDConfig:
   Error: command ['pkexec', '/usr/sbin/sshd', '-T'] failed with exit code 127: 
polkit-agent-helper-1: error response to PolicyKit daemon: 
GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie
   Error executing command as another user: Not authorized
   
   This incident has been reported.
  SourcePackage: openssh
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1880412/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1727908] Re: Software & Updates application does not permit changes on the "Other Software" tab

2020-05-26 Thread Brian Murray
Hello PJSingh5000, or anyone else affected,

Accepted software-properties into bionic-proposed. The package will
build now and be available at https://launchpad.net/ubuntu/+source
/software-properties/0.96.24.32.13 in a few hours, and then in the
-proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
bionic to verification-done-bionic. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-bionic. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1727908

Title:
  Software & Updates application does not permit changes on the "Other
  Software" tab

Status in software-properties package in Ubuntu:
  Fix Released
Status in software-properties source package in Bionic:
  Fix Committed

Bug description:
  * Impact
  Changes on the 'Other Software tab' sometime fail to ask for credential and 
fail to apply as a consequence

  * Test Case
  - start software-properties-gtk
  - got to the 'Other Software Tab'
  - try to change the value of a checkbox

  The change should prompt for a password and be active

  * Regression potential
  the change is a small sleep workaround to avoid trying to get the focus while 
GTK still has it, outside of a tiny delay in the active it should have no 
consequence

  ---

  
  On the "Other Software" tab, I am unable to select "Canonical Partners".
  Similarly, the other checkboxes on the "Other Software" can not be clicked.
  Clicking on a checkbox has no effect, and a dialog requesting the admin 
password is not presented.

  However, activating or deactivating checkboxes on other tabs causes an
  authorization dialog to be presented to the user.

  I experience this bug in an an Xorg session.

  sources.list and sources.list.d have the following permissions:
  -rw-r--r--   1 root root  2897 Oct 26 22:35 sources.list
  drwxr-xr-x   2 root root  4096 Oct 26 21:29 sources.list.d

  All files in sources.list.d have the following permissions as this example:
  -rw-r--r-- 1 root root  189 Oct 25 21:50 google-chrome.list

  $ lsb_release -rd
  Description:  Ubuntu 17.10
  Release:  17.10

  $ apt-cache policy software-properties-gtk
  software-properties-gtk:
    Installed: 0.96.24.17
    Candidate: 0.96.24.17
    Version table:
   *** 0.96.24.17 500
  500 http://us.archive.ubuntu.com/ubuntu artful/main amd64 Packages
  500 http://us.archive.ubuntu.com/ubuntu artful/main i386 Packages
  100 /var/lib/dpkg/status

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: software-properties-gtk 0.96.24.17
  ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
  Uname: Linux 4.13.0-16-generic x86_64
  NonfreeKernelModules: wl nvidia_uvm nvidia_drm nvidia_modeset nvidia
  ApportVersion: 2.20.7-0ubuntu3.1
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Thu Oct 26 22:45:09 2017
  InstallationDate: Installed on 2017-10-26 (1 days ago)
  InstallationMedia: Ubuntu 17.10.0 2017.10.25 amd64 "Custom Artful Aardvark"
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: software-properties
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1727908/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1282294] Re: "Cannot open pixbuf loader module file"

2020-05-26 Thread Ronny Svedman
Same here when upgrading 16.04 LTS to 18.04

The bug is six years old ? We should send it to preschool =)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gdk-pixbuf in Ubuntu.
https://bugs.launchpad.net/bugs/1282294

Title:
  "Cannot open pixbuf loader module file"

Status in gdk-pixbuf package in Ubuntu:
  Triaged
Status in gdk-pixbuf package in Debian:
  New

Bug description:
  While doing testing on trusty, I keep finding errors like the
  following in my apt-get -u dist-upgrade output:

  Preparing to unpack 
.../indicator-printers_0.1.7+14.04.20140213-0ubuntu1_amd64.deb ...
  Unpacking indicator-printers (0.1.7+14.04.20140213-0ubuntu1) over 
(0.1.7daily13.03.01-0ubuntu1) ...

  (gtk-update-icon-cache-3.0:29671): GdkPixbuf-WARNING **: Cannot open
  pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-
  pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

  This likely means that your installation is broken.
  Try running the command
gdk-pixbuf-query-loaders > 
/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
  to make things work again for the time being.

  (gtk-update-icon-cache-3.0:29672): GdkPixbuf-WARNING **: Cannot open
  pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-
  pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

  This likely means that your installation is broken.
  Try running the command
gdk-pixbuf-query-loaders > 
/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
  to make things work again for the time being.
  ...
  Processing triggers for hicolor-icon-theme (0.13-1) ...

  (gtk-update-icon-cache-3.0:32198): GdkPixbuf-WARNING **: Cannot open
  pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-
  pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

  This likely means that your installation is broken.
  Try running the command
gdk-pixbuf-query-loaders > 
/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
  to make things work again for the time being.

  
  These errors make it difficult to look for errors that I might have 
introduced in my own packages and if they persist in our final product will 
make users wonder what is broken and why it is broken.

  sarnold@sec-trusty-amd64:~$ lsb_release -rd
  Description:  Ubuntu Trusty Tahr (development branch)
  Release:  14.04
  sarnold@sec-trusty-amd64:~$ dpkg -S gdk-pixbuf-query-loaders
  libgdk-pixbuf2.0-0:amd64: 
/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders
  sarnold@sec-trusty-amd64:~$ apt-cache policy libgdk-pixbuf2.0-0
  libgdk-pixbuf2.0-0:
Installed: 2.30.5-0ubuntu1
Candidate: 2.30.5-0ubuntu1
Version table:
   *** 2.30.5-0ubuntu1 0
  500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
  100 /var/lib/dpkg/status
  sarnold@sec-trusty-amd64:~$ dpkg -S /usr/bin/gtk-update-icon-cache-3.0
  libgtk-3-bin: /usr/bin/gtk-update-icon-cache-3.0
  sarnold@sec-trusty-amd64:~$ apt-cache policy libgtk-3-bin
  libgtk-3-bin:
Installed: 3.10.7-0ubuntu2
Candidate: 3.10.7-0ubuntu2
Version table:
   *** 3.10.7-0ubuntu2 0
  500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
  100 /var/lib/dpkg/status
  sarnold@sec-trusty-amd64:~$ 


  Thanks

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: libgtk-3-bin 3.10.7-0ubuntu2
  ProcVersionSignature: User Name 3.13.0-5.20-generic 3.13.0
  Uname: Linux 3.13.0-5-generic x86_64
  ApportVersion: 2.13.2-0ubuntu5
  Architecture: amd64
  Date: Wed Feb 19 14:38:47 2014
  InstallationDate: Installed on 2014-01-09 (41 days ago)
  InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140108)
  ProcEnviron:
   TERM=rxvt-unicode
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: gtk+3.0
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdk-pixbuf/+bug/1282294/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1773859] Re: upgrades to 18.04 fail

2020-05-26 Thread Ronny Svedman
This bit me today, 16.04LTS to 18.04 LTS

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd-shim in Ubuntu.
https://bugs.launchpad.net/bugs/1773859

Title:
  upgrades to 18.04 fail

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd-shim package in Ubuntu:
  Won't Fix
Status in systemd source package in Bionic:
  Fix Released
Status in systemd-shim source package in Bionic:
  Won't Fix
Status in systemd source package in Cosmic:
  Fix Released
Status in systemd-shim source package in Cosmic:
  Won't Fix

Bug description:
  [Impact]

   * Some systems fail to upgrade due to conflicts between systemd and
  the (now removed from the archive) systemd-shim / upstart.

   * Instead of trying to work out what's the problem in ordering /
  removal of diverts, ensure that systemd is never unpacked whilst
  systemd-shim/upstart are still on disk. Thus declare conflicts against
  systemd-shim/upstart packages in systemd package.

  [Test Case]

   * monitor drop-off of upgrades with below reported problem

   * Check that it is possible to upgrade to bionic's libpam-systemd
  from xenial with systemd-shim installed on xenial, ie.

  lxc launch ubuntu-daily:xenial test-shim-upgrade
  lxc exec test-shim-upgrade
  apt update
  apt install systemd-shim
  wget 
https://deb.debian.org/debian/pool/main/s/systemd-shim/systemd-shim_10-3_amd64.deb
  apt install ./systemd-shim_10-3_amd64.deb 
  sed 's/xenial/bionic/' -i /etc/apt/sources.list
  apt update
  apt install systemd

  this currently passes, however, systemd-shim remains installed. It
  should be removed instead. Apt install systemd should have lines like
  this:

  The following packages will be REMOVED:
systemd-shim
  ...
  Removing 'diversion of 
/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service to 
/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service.systemd by 
systemd-shim'
  ...

  
  [Regression Potential]

   * systemd-shim/upstart are both removed and not supported in bionic,
  thus forcing their removal via conflicts should bring the system into
  an expected state.

  [Other Info]

   * original bug report

  $ sudo apt upgrade
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  Calculating upgrade... Done
  The following packages will be REMOVED:
    systemd-shim
  0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
  1 not fully installed or removed.
  After this operation, 71.7 kB disk space will be freed.
  Do you want to continue? [Y/n] y
  (Reading database ... 63 files and directories currently installed.)
  Removing systemd-shim (9-1bzr4ubuntu1) ...
  Removing 'diversion of 
/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service to 
/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service.systemd by 
systemd-shim'
  dpkg-divert: error: rename involves overwriting 
'/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service' with
    different file 
'/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service.systemd', 
not allowed
  dpkg: error processing package systemd-shim (--remove):
   subprocess installed post-removal script returned error exit status 2
  Errors were encountered while processing:
   systemd-shim
  E: Sub-process /usr/bin/dpkg returned an error code (1)

  Commenting out the dpkg-divert in systemd-shim's postrm solved this
  for me and I was about to continue the upgrade.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1773859/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1865499] Re: pulseaudio doesn't detect (new) USB headset

2020-05-26 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: alsa-lib (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1865499

Title:
  pulseaudio doesn't detect (new) USB headset

Status in alsa-lib package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  When booting the system (Lenovo Thinkpad L480/L490), all connected USB
  headsets are recognized and can be used, and configured via
  pavucontrol.

  When hot-plugging the USB headset, either the speaker is recognized,
  or the microphone, rarely both. But when both are recognized, the
  microphone is always a "multichannel" device. When both the speaker
  and the "multichannel" microphone are recognized, only one can be used
  - either speaker or microphone. When selecting the speaker, the
  microphone is switched back to any other device available, them same
  goes for the microphone and the speaker - any other speaker is
  selected.

  A workaround is to plug in the USB headset and run "pkill -U $USER
  pulseaudio". Everything works fine until the next hot-plug (eg. a
  second headset).

  Running "lsb_release -a" gives   
  No LSB modules are available.
  Distributor ID:   Ubuntu
  Description:  Ubuntu 18.04.4 LTS
  Release:  18.04
  Codename: bionic

  Attached is the output from "ubuntu-bug pulseaudio". Currently 10 % of
  our users are affected by this bug, all running the same Ubuntu and
  package versions. I activated the proposed repository to check if any
  updates available fix the problem, but to no avail. I also switched
  kernels (from 4.15 to 5.5 mainline from
  https://wiki.ubuntu.com/Kernel/MainlineBuilds).

  I read bug #1325282
  (https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1325282)
  and it sounds somewhat very familiar, but instead of "env={}" in
  /usr/share/ubuntu-drivers-common/detect/sl-modem.py there's "env=env".
  Removing "env=env" doesn't resolve the problem.

  Do you require additional information?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-lib/+bug/1865499/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1865499] Re: pulseaudio doesn't detect (new) USB headset

2020-05-26 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: pulseaudio (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1865499

Title:
  pulseaudio doesn't detect (new) USB headset

Status in alsa-lib package in Ubuntu:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  When booting the system (Lenovo Thinkpad L480/L490), all connected USB
  headsets are recognized and can be used, and configured via
  pavucontrol.

  When hot-plugging the USB headset, either the speaker is recognized,
  or the microphone, rarely both. But when both are recognized, the
  microphone is always a "multichannel" device. When both the speaker
  and the "multichannel" microphone are recognized, only one can be used
  - either speaker or microphone. When selecting the speaker, the
  microphone is switched back to any other device available, them same
  goes for the microphone and the speaker - any other speaker is
  selected.

  A workaround is to plug in the USB headset and run "pkill -U $USER
  pulseaudio". Everything works fine until the next hot-plug (eg. a
  second headset).

  Running "lsb_release -a" gives   
  No LSB modules are available.
  Distributor ID:   Ubuntu
  Description:  Ubuntu 18.04.4 LTS
  Release:  18.04
  Codename: bionic

  Attached is the output from "ubuntu-bug pulseaudio". Currently 10 % of
  our users are affected by this bug, all running the same Ubuntu and
  package versions. I activated the proposed repository to check if any
  updates available fix the problem, but to no avail. I also switched
  kernels (from 4.15 to 5.5 mainline from
  https://wiki.ubuntu.com/Kernel/MainlineBuilds).

  I read bug #1325282
  (https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1325282)
  and it sounds somewhat very familiar, but instead of "env={}" in
  /usr/share/ubuntu-drivers-common/detect/sl-modem.py there's "env=env".
  Removing "env=env" doesn't resolve the problem.

  Do you require additional information?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-lib/+bug/1865499/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878670] Re: Reproduceable i915 gpu hang Intel Iris Plus Graphics (Ice Lake 8x8 GT2)

2020-05-26 Thread Martin Packman
Well, similar experience for me today, booted and logged in okay, but
then the desktop session died leaving monitor backlight and keyboard
lights on, but no other sign of life. Shutting lid to suspend then
resume didn't help, had to hard power off. Then on next boot, it hung
after login, but recovered and was fine thereafter. More oddness, but
not the gpu in the blame this time.


Log sequence extracts:


May 26 09:28:03 xps2020 systemd[1]: Startup finished in 5.461s (firmware) + 
3.431s (loader) + 14.216s (kernel) + 20.511s (userspace) = 43.620s.

...

May 26 09:29:14 xps2020 update-notifier.desktop[4555]: 
/usr/lib/ubuntu-release-upgrader/check-new-release-gtk:30: PyGIWarning: Gtk was 
imported without specifying a version first. Use gi.require_version('Gtk', 
'3.0') before import to ensure that the right version gets loaded.
May 26 09:29:14 xps2020 update-notifier.desktop[4555]:   from gi.repository 
import Gtk
May 26 09:29:14 xps2020 update-notifier.desktop[4555]: WARNING:root:timeout 
reached, exiting
May 26 09:29:14 xps2020 gnome-session[1422]: gnome-session-binary[1422]: 
WARNING: Application 'org.gnome.SettingsDaemon.Color.desktop' failed to 
register before timeout
May 26 09:29:14 xps2020 gnome-session-binary[1422]: WARNING: Application 
'org.gnome.SettingsDaemon.Color.desktop' failed to register before timeout
May 26 09:29:14 xps2020 gnome-session-binary[1422]: Unrecoverable failure in 
required component org.gnome.SettingsDaemon.Color.desktop
May 26 09:29:14 xps2020 gnome-session[1422]: gnome-session-binary[1422]: 
CRITICAL: We failed, but the fail whale is dead. Sorry
May 26 09:29:14 xps2020 gnome-session-binary[1422]: CRITICAL: We failed, but 
the fail whale is dead. Sorry

...

May 26 09:29:15 xps2020 systemd[1]: Stopped User Manager for UID 121.
May 26 09:29:15 xps2020 systemd[1]: Removed slice User Slice of gdm.
May 26 09:29:54 xps2020 PackageKit[1605]: get-updates transaction /309_bcbe 
from uid 1001 finished with success after 398ms
May 26 09:29:57 xps2020 org.gnome.Shell.desktop[3032]: ###!!! 
[Parent][RunMessage] Error: Channel closing: too late to send/recv, messages 
will be lost
May 26 09:29:57 xps2020 org.gnome.Shell.desktop[3032]: ###!!! 
[Parent][RunMessage] Error: Channel closing: too late to send/recv, messages 
will be lost
May 26 09:30:09 xps2020 systemd-logind[1187]: Lid closed.
May 26 09:30:09 xps2020 systemd-logind[1187]: Suspending...


...

May 26 09:30:13 xps2020 systemd-logind[1187]: Lid opened.
May 26 09:30:23 xps2020 systemd-logind[1187]: Power key pressed.
May 26 09:30:31 xps2020 systemd-logind[1187]: Power key pressed.
May 26 09:30:39 xps2020 systemd-logind[1187]: Delay lock is active (UID 
1001/martin, PID 3032/gnome-shell) but inhibitor timeout is reached.
May 26 09:30:39 xps2020 systemd[1]: Starting TLP suspend/resume...
May 26 09:30:39 xps2020 systemd[1]: Started TLP suspend/resume.
May 26 09:30:39 xps2020 systemd[1]: Reached target Sleep.
May 26 09:30:39 xps2020 systemd[1]: Starting Suspend...
May 26 09:30:39 xps2020 systemd-sleep[4909]: Suspending system...
May 26 09:30:39 xps2020 kernel: PM: suspend entry (s2idle)
May 26 09:30:41 xps2020 kernel: PM: Syncing filesystems ... done.
May 26 09:30:41 xps2020 kernel: Freezing user space processes ... (elapsed 
0.002 seconds) done.
May 26 09:30:41 xps2020 kernel: OOM killer disabled.
May 26 09:30:41 xps2020 kernel: Freezing remaining freezable tasks ... (elapsed 
0.001 seconds) done.
May 26 09:30:41 xps2020 kernel: printk: Suspending console(s) (use 
no_console_suspend to debug)
May 26 09:30:41 xps2020 kernel: psmouse serio1: Failed to disable mouse on 
isa0060/serio1
May 26 09:30:41 xps2020 kernel: PM: Some devices failed to suspend, or early 
wake event detected
May 26 09:30:41 xps2020 kernel: OOM killer enabled.
May 26 09:30:41 xps2020 kernel: Restarting tasks ... done.
May 26 09:30:41 xps2020 kernel: thermal thermal_zone6: failed to read out 
thermal zone (-61)
-- Reboot --

...

May 26 09:32:03 xps2020 systemd[1]: Startup finished in 5.443s
(firmware) + 3.530s (loader) + 11.642s (kernel) + 33.978s (userspace) =
54.594s.

...

May 26 09:33:37 xps2020 kernel: snd_hda_intel :00:1f.3: No response from 
codec, resetting bus: last cmd=0x20170500
May 26 09:33:38 xps2020 kernel: snd_hda_intel :00:1f.3: No response from 
codec, resetting bus: last cmd=0x20370500
May 26 09:33:39 xps2020 kernel: snd_hda_intel :00:1f.3: No response from 
codec, resetting bus: last cmd=0x20470500
May 26 09:33:40 xps2020 gnome-session[2043]: gnome-session-binary[2043]: 
WARNING: Application 'org.gnome.Shell.desktop' failed to register before timeout
May 26 09:33:40 xps2020 gnome-session-binary[2043]: WARNING: Application 
'org.gnome.Shell.desktop' failed to register before timeout
May 26 09:33:40 xps2020 gnome-session-binary[2043]: Unrecoverable failure in 
required component org.gnome.Shell.desktop
May 26 09:33:40 xps2020 gnome-session[2043]: gnome-session-binary[2043]: 
CRITICAL: We failed, but the fail whale is 

[Touch-packages] [Bug 1522675] Re: Warning messages about unsandboxed downloads

2020-05-26 Thread Q. Haas
Seeing this in the Ubuntu 18.04 ppc64le docker image when doing an `apt-
get install -y /root/MY_DEB_FILE.deb`, appears harmless, and doesn't
occur if I move the deb to /tmp before installing.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1522675

Title:
  Warning messages about unsandboxed downloads

Status in apt package in Ubuntu:
  Fix Released
Status in aptitude package in Ubuntu:
  Fix Released
Status in synaptic package in Ubuntu:
  Triaged
Status in update-notifier package in Ubuntu:
  Fix Released
Status in aptitude source package in Xenial:
  Confirmed
Status in synaptic source package in Xenial:
  Confirmed
Status in update-notifier source package in Xenial:
  Fix Released
Status in apt package in Debian:
  Fix Released
Status in aptitude package in Debian:
  Fix Released
Status in synaptic package in Debian:
  New

Bug description:
  READ ME FIRST
  =
  This is a cosmetic issue. The warning message is just that— a warning. Though 
the message comes up, there is no problem with the install/upgrade happening 
like normal. That said, feel free to ignore it. It will get fixed, but it's 
nowhere near as urgent as bugs that actually result in the wrong behavior 
rather than just a simple extra message.

  update-notifier SRU
  ---
  [Impact]
  Cosmetic. Warnings when installing packages using update-notifier downloading 
stuff

  [Test case]

  Install flashplugin-installer with apt and check that the output does
  not contain a message like this:

  W: Can't drop privileges for downloading as file '...' couldn't be
  accessed by user '_apt'

  [Regression Potential]

  It just chowns /var/lib/update-notifier/package-data-
  downloads/partial/ to _apt:root, there should not be any regression.

  Original report
  ---

  Recently we got new versions for synaptic 0.82+build1 & apt 1.1.3, but
  now get that error when installing/upgrading some packages:

  Setting up libc6-dbg:amd64 (2.21-0ubuntu5) ...
  Processing triggers for libc-bin (2.21-0ubuntu5) ...
  W: Can't drop privileges for downloading as file 
'/root/.synaptic/tmp//tmp_cl' couldn't be accessed by user '_apt'. - 
pkgAcquire::Run (13: Permission denied)

  From nautilus, i'm seeing a /root/ folder locked (x on its icon) and
  the folder is empty (no /.synaptic/ sub-folder or file), so the above
  error.

  oem@u64:~$ ls -l .synaptic
  total 4
  -rw-rw-r-- 1 oem oem   0 Aug 25 11:19 options
  -rw-rw-r-- 1 oem oem 236 Aug 25 11:19 synaptic.conf

  oem@u64:~$ ls -l /var/lib/apt/lists/
  
  -rw-r- 1 root root0 Sep 20 06:36 lock
  drwx-- 2 _apt root16384 Sep 24 15:25 partial
  ..

  oem@u64:~$ sudo ls -l /var/lib/update-notifier/package-data-downloads/
  .
  drwxr-xr-x 2 _apt root 4096 Sep 22 23:33 partial

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: synaptic 0.82+build1
  ProcVersionSignature: Ubuntu 4.3.0-1.10-generic 4.3.0
  Uname: Linux 4.3.0-1-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.19.2-0ubuntu8
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Fri Dec  4 05:23:25 2015
  SourcePackage: synaptic
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1522675/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1833174] Re: Shadowing the vim-window results in vim-gtk3 crash

2020-05-26 Thread Justin Huff
This is apparently fixed upstream, but I haven't had a chance to verify.

https://github.com/vim/vim/issues/4835

** Bug watch added: github.com/vim/vim/issues #4835
   https://github.com/vim/vim/issues/4835

** Also affects: vim via
   https://github.com/vim/vim/issues/4835
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to vim in Ubuntu.
https://bugs.launchpad.net/bugs/1833174

Title:
   Shadowing the vim-window results in vim-gtk3 crash

Status in vim:
  Unknown
Status in vim package in Ubuntu:
  Confirmed

Bug description:
  With XFCE when I try to "shadow" the vim-gtk3 window (just to show only the 
title bar) it results in a vim crash and the window just disappears without any 
core dump neither .swp files on.
  The only message I get on the terminal is

  BadMatch (invalid parameter attributes)
  Vim: Got X error
  Vim: Finished.

  This behaviour started from Xubuntu 18.04.
  The vim-gtk package is not suffering from this problem.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: vim-gtk3 2:8.1.0320-1ubuntu3.1
  ProcVersionSignature: Ubuntu 5.0.0-16.17-generic 5.0.8
  Uname: Linux 5.0.0-16-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Tue Jun 18 09:10:38 2019
  InstallationDate: Installed on 2019-04-23 (55 days ago)
  InstallationMedia: Xubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  SourcePackage: vim
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/vim/+bug/1833174/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1833174] Re: Shadowing the vim-window results in vim-gtk3 crash

2020-05-26 Thread Vasilis
Indeed 20.04 still has the problem

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to vim in Ubuntu.
https://bugs.launchpad.net/bugs/1833174

Title:
   Shadowing the vim-window results in vim-gtk3 crash

Status in vim package in Ubuntu:
  Confirmed

Bug description:
  With XFCE when I try to "shadow" the vim-gtk3 window (just to show only the 
title bar) it results in a vim crash and the window just disappears without any 
core dump neither .swp files on.
  The only message I get on the terminal is

  BadMatch (invalid parameter attributes)
  Vim: Got X error
  Vim: Finished.

  This behaviour started from Xubuntu 18.04.
  The vim-gtk package is not suffering from this problem.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: vim-gtk3 2:8.1.0320-1ubuntu3.1
  ProcVersionSignature: Ubuntu 5.0.0-16.17-generic 5.0.8
  Uname: Linux 5.0.0-16-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Tue Jun 18 09:10:38 2019
  InstallationDate: Installed on 2019-04-23 (55 days ago)
  InstallationMedia: Xubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  SourcePackage: vim
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/vim/+bug/1833174/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880740] [NEW] Provide a straightforward way to reset networking after initramfs

2020-05-26 Thread Johan Ehnberg
Public bug reported:

Since initramfs networking is rather limited, a simple flag to reset
networking afterwards (or not to generate netplan files) would be
valuable. The intended effect is to allow fully featured networking
tools to set up the network afterwards.

Use cases include the following, in comination with networking-enabled 
initramfs:
* Multiple IPs on a single interface
* Adding search domains
* Unlocking root over SSH on a different network than will be used afterwards
* Using DHCP for initramfs and static later

There are numerous workarounds floating around, as well as questions on
this behaviour. Netplan has made this even more difficult to get around,
since it does not provide an equivalent to 'service networking restart'.
As of Ubuntu 20.04, I have not even found any workaround that actually
works.

Related:
dropbear-initramfs IFDOWN not working LP #1813394
Alternative approach with netplan in initramfs LP #1880717
What is creating /run/netplan/eth0.yaml? askubuntu #1228433

** Affects: initramfs-tools (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880740

Title:
  Provide a straightforward way to reset networking after initramfs

Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  Since initramfs networking is rather limited, a simple flag to reset
  networking afterwards (or not to generate netplan files) would be
  valuable. The intended effect is to allow fully featured networking
  tools to set up the network afterwards.

  Use cases include the following, in comination with networking-enabled 
initramfs:
  * Multiple IPs on a single interface
  * Adding search domains
  * Unlocking root over SSH on a different network than will be used afterwards
  * Using DHCP for initramfs and static later

  There are numerous workarounds floating around, as well as questions
  on this behaviour. Netplan has made this even more difficult to get
  around, since it does not provide an equivalent to 'service networking
  restart'. As of Ubuntu 20.04, I have not even found any workaround
  that actually works.

  Related:
  dropbear-initramfs IFDOWN not working LP #1813394
  Alternative approach with netplan in initramfs LP #1880717
  What is creating /run/netplan/eth0.yaml? askubuntu #1228433

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1880740/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1835660] Re: initramfs unpacking failed

2020-05-26 Thread Smittie
This is the error that I get on boot up after a software update this
morning:

[   0478394 ] Initramfs unpacking failed: Decoding failed
[1356011] atas.00: failed to set xfermode (err mask=0x40) /dev/sda3: clean, 
205993/1831424 files, 2350143/7324160 blocks You are in emergency mode. After 
logging in, type "journalctl -xb" to view system logs, "systemctl reboot" to 
reboot, "systemctl default" or "exit"
to boot into default mode.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1835660

Title:
  initramfs unpacking failed

Status in initramfs-tools package in Ubuntu:
  Invalid
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  "initramfs unpacking failed: Decoding failed",  message appears on
  boot up.

  If I "update-initramfs" using gzip instead of lz, then boot up passes
  without decoding failed message.

  ---

  However, we currently believe that the decoding error reported in
  dmesg is actually harmless and has no impact on usability on the
  system.

  Switching from lz4 to gzip compression, simply papers over the
  warning, without any benefits, and slows down boot.

  Kernel should be fixed to correctly parse lz4 compressed initrds, or
  at least lower the warning, to not be user visible as an error.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1835660/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880735] [NEW] stray messages about failure to active chzdev device

2020-05-26 Thread Dimitri John Ledkov
Public bug reported:

stray messages about failure to active chzdev device

When booting with VLAN configuration, chzdev -e is attempted on both the
underlying parent device and the VLAN device. Which does not make sense.
We should not attempt to call chzdev -e on the VLAN device.

** Affects: initramfs-tools (Ubuntu)
 Importance: Undecided
 Status: New

** Affects: initramfs-tools (Ubuntu Focal)
 Importance: Undecided
 Status: New

** Also affects: initramfs-tools (Ubuntu Focal)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880735

Title:
  stray messages about failure to active chzdev device

Status in initramfs-tools package in Ubuntu:
  New
Status in initramfs-tools source package in Focal:
  New

Bug description:
  stray messages about failure to active chzdev device

  When booting with VLAN configuration, chzdev -e is attempted on both
  the underlying parent device and the VLAN device. Which does not make
  sense. We should not attempt to call chzdev -e on the VLAN device.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1880735/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1835660] Re: initramfs unpacking failed

2020-05-26 Thread Smittie
This is a blocking issue for me as well. Rolling back to 18.04 LTS.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1835660

Title:
  initramfs unpacking failed

Status in initramfs-tools package in Ubuntu:
  Invalid
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  "initramfs unpacking failed: Decoding failed",  message appears on
  boot up.

  If I "update-initramfs" using gzip instead of lz, then boot up passes
  without decoding failed message.

  ---

  However, we currently believe that the decoding error reported in
  dmesg is actually harmless and has no impact on usability on the
  system.

  Switching from lz4 to gzip compression, simply papers over the
  warning, without any benefits, and slows down boot.

  Kernel should be fixed to correctly parse lz4 compressed initrds, or
  at least lower the warning, to not be user visible as an error.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1835660/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1833174] Re: Shadowing the vim-window results in vim-gtk3 crash

2020-05-26 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: vim (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to vim in Ubuntu.
https://bugs.launchpad.net/bugs/1833174

Title:
   Shadowing the vim-window results in vim-gtk3 crash

Status in vim package in Ubuntu:
  Confirmed

Bug description:
  With XFCE when I try to "shadow" the vim-gtk3 window (just to show only the 
title bar) it results in a vim crash and the window just disappears without any 
core dump neither .swp files on.
  The only message I get on the terminal is

  BadMatch (invalid parameter attributes)
  Vim: Got X error
  Vim: Finished.

  This behaviour started from Xubuntu 18.04.
  The vim-gtk package is not suffering from this problem.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: vim-gtk3 2:8.1.0320-1ubuntu3.1
  ProcVersionSignature: Ubuntu 5.0.0-16.17-generic 5.0.8
  Uname: Linux 5.0.0-16-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Tue Jun 18 09:10:38 2019
  InstallationDate: Installed on 2019-04-23 (55 days ago)
  InstallationMedia: Xubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  SourcePackage: vim
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/vim/+bug/1833174/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1833174] Re: Shadowing the vim-window results in vim-gtk3 crash

2020-05-26 Thread Justin Huff
Still happens on xubuntu 20.04. Unfortunately, vim-gtk2 isn't around
anymore, so the workaround is invalid.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to vim in Ubuntu.
https://bugs.launchpad.net/bugs/1833174

Title:
   Shadowing the vim-window results in vim-gtk3 crash

Status in vim package in Ubuntu:
  Confirmed

Bug description:
  With XFCE when I try to "shadow" the vim-gtk3 window (just to show only the 
title bar) it results in a vim crash and the window just disappears without any 
core dump neither .swp files on.
  The only message I get on the terminal is

  BadMatch (invalid parameter attributes)
  Vim: Got X error
  Vim: Finished.

  This behaviour started from Xubuntu 18.04.
  The vim-gtk package is not suffering from this problem.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: vim-gtk3 2:8.1.0320-1ubuntu3.1
  ProcVersionSignature: Ubuntu 5.0.0-16.17-generic 5.0.8
  Uname: Linux 5.0.0-16-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Tue Jun 18 09:10:38 2019
  InstallationDate: Installed on 2019-04-23 (55 days ago)
  InstallationMedia: Xubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  SourcePackage: vim
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/vim/+bug/1833174/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874487] Re: [crash][always] Gwenview crashes when dragging displayed image

2020-05-26 Thread Dmitry Shachnev
Ubuntu 20.04 LTS has Qt 5.12.8, so I am marking this as fixed.

** Changed in: qtbase-opensource-src (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1874487

Title:
  [crash][always] Gwenview crashes when dragging displayed image

Status in qtbase-opensource-src package in Ubuntu:
  Fix Released

Bug description:
  - What I was doing when the application crashed:
  1. open any image in Gwenview
  2. double click on it to make it fullscreen
  3. in fullscreen mode, before the top bar dissapears (!), start dragging the 
image
  - Result:
  Gwenview crashes immediately.

  The crash can be reproduced every time.

  Upstream reports:
  https://bugs.kde.org/show_bug.cgi?id=420467
  https://bugs.kde.org/show_bug.cgi?id=403582

  That issue was resolved upstream in Qt 5.12.5:
  https://bugreports.qt.io/browse/QTBUG-74110

  >Qt Version: 5.12.4

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1874487/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880728] [NEW] Xorg freeze

2020-05-26 Thread David Landis Jr
Public bug reported:

was logged in through team viewer and got kicked out.  when i was able
to physically access the machine the screens were on, but was not able
to move the mouse or interact with the computer.  performed hard reboot
to get it back on.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
Uname: Linux 5.4.0-31-generic x86_64
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Tue May 26 11:24:02 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GpuHangFrequency: Several times a week
GpuHangReproducibility: Seems to happen randomly
GpuHangStarted: Immediately after installing this version of Ubuntu
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 
470/480/570/570X/580/580X/590] [1002:67df] (rev c7) (prog-if 00 [VGA 
controller])
   Subsystem: PC Partner Limited / Sapphire Technology Radeon RX 470/480 
[174b:e347]
InstallationDate: Installed on 2020-05-09 (16 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: Micro-Star International Co., Ltd. MS-7A34
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-31-generic 
root=UUID=595b2c33-123b-4c4d-be9f-f87ce6ce8733 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/08/2019
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: A.LM
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: B350 PC MATE(MS-7A34)
dmi.board.vendor: Micro-Star International Co., Ltd
dmi.board.version: 2.0
dmi.chassis.asset.tag: To be filled by O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: Micro-Star International Co., Ltd.
dmi.chassis.version: 2.0
dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrA.LM:bd07/08/2019:svnMicro-StarInternationalCo.,Ltd.:pnMS-7A34:pvr2.0:rvnMicro-StarInternationalCo.,Ltd:rnB350PCMATE(MS-7A34):rvr2.0:cvnMicro-StarInternationalCo.,Ltd.:ct3:cvr2.0:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: MS-7A34
dmi.product.sku: To be filled by O.E.M.
dmi.product.version: 2.0
dmi.sys.vendor: Micro-Star International Co., Ltd.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal freeze ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880728

Title:
  Xorg freeze

Status in xorg package in Ubuntu:
  New

Bug description:
  was logged in through team viewer and got kicked out.  when i was able
  to physically access the machine the screens were on, but was not able
  to move the mouse or interact with the computer.  performed hard
  reboot to get it back on.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
  Uname: Linux 5.4.0-31-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Tue May 26 11:24:02 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GpuHangFrequency: Several times a week
  GpuHangReproducibility: Seems to happen randomly
  GpuHangStarted: Immediately after installing this version of Ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 
470/480/570/570X/580/580X/590] [1002:67df] (rev c7) (prog-if 00 [VGA 
controller])
 Subsystem: PC Partner Limited / Sapphire Technology Radeon RX 470/480 
[174b:e347]
  InstallationDate: Installed on 2020-05-09 (16 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: Micro-Star International Co., Ltd. MS-7A34
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-31-generic 
root=UUID=595b2c33-123b-4c4d-be9f-f87ce6ce8733 ro quiet 

[Touch-packages] [Bug 1879980] Re: Fail to boot with LUKS on top of RAID1 if the array is broken/degraded

2020-05-26 Thread Guilherme G. Piccoli
I have a report of a Bionic user that tested the packages on my PPA with 
success.
I changed a small bit though, from the first proposal (just for consistency): 
moved the cryptsetup clean-up script to local-bottom instead of init-bottom.

Thanks,


Guilherme

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1879980

Title:
  Fail to boot with LUKS on top of RAID1 if the array is broken/degraded

Status in cryptsetup package in Ubuntu:
  Confirmed
Status in initramfs-tools package in Ubuntu:
  Confirmed
Status in mdadm package in Ubuntu:
  Confirmed

Bug description:
  Description will be saved for further SRU template, the details of the
  issue will be exposed in comments

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cryptsetup/+bug/1879980/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880725] [NEW] Video Stream are hanging/buffering around every 10seconds

2020-05-26 Thread Maximilian Krieglmeyer
Public bug reported:

I am using KODI on Ubuntu and every Video stream I use is hanging after
around 10 seconds. Ubuntu is setup on a Proxmox VM and the GPU is passed
through. I tried to reinstall the driver without any effect. Network
connection is a 50MBit/s line, so should not be the issue.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xorg (not installed)
ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
Uname: Linux 4.15.0-101-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.14
Architecture: amd64
Date: Tue May 26 18:00:26 2020
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Device [8086:3ea5] (rev 01) (prog-if 00 [VGA controller])
   Subsystem: Intel Corporation Device [8086:2074]
InstallationDate: Installed on 2020-05-15 (11 days ago)
InstallationMedia: Ubuntu-Server 18.04.4 LTS "Bionic Beaver" - Release amd64 
(20200203.1)
MachineType: QEMU Standard PC (Q35 + ICH9, 2009)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=C.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-101-generic 
root=UUID=09ee74bf-e5a7-489d-bfed-27c845c2e9c1 ro
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/06/2015
dmi.bios.vendor: EFI Development Kit II / OVMF
dmi.bios.version: 0.0.0
dmi.chassis.type: 1
dmi.chassis.vendor: QEMU
dmi.chassis.version: pc-q35-5.0
dmi.modalias: 
dmi:bvnEFIDevelopmentKitII/OVMF:bvr0.0.0:bd02/06/2015:svnQEMU:pnStandardPC(Q35+ICH9,2009):pvrpc-q35-5.0:cvnQEMU:ct1:cvrpc-q35-5.0:
dmi.product.name: Standard PC (Q35 + ICH9, 2009)
dmi.product.version: pc-q35-5.0
dmi.sys.vendor: QEMU
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.99-1ubuntu1~18.04.2
version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.8-0ubuntu0~18.04.3
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4.4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20171229-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug bionic ubuntu uec-images

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880725

Title:
  Video Stream are hanging/buffering around every 10seconds

Status in xorg package in Ubuntu:
  New

Bug description:
  I am using KODI on Ubuntu and every Video stream I use is hanging
  after around 10 seconds. Ubuntu is setup on a Proxmox VM and the GPU
  is passed through. I tried to reinstall the driver without any effect.
  Network connection is a 50MBit/s line, so should not be the issue.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg (not installed)
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.14
  Architecture: amd64
  Date: Tue May 26 18:00:26 2020
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   Intel Corporation Device [8086:3ea5] (rev 01) (prog-if 00 [VGA controller])
 Subsystem: Intel Corporation Device [8086:2074]
  InstallationDate: Installed on 2020-05-15 (11 days ago)
  InstallationMedia: Ubuntu-Server 18.04.4 LTS "Bionic Beaver" - Release amd64 
(20200203.1)
  MachineType: QEMU Standard PC (Q35 + ICH9, 2009)
  ProcEnviron:
   TERM=xterm
   PATH=(custom, no user)
   LANG=C.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-101-generic 
root=UUID=09ee74bf-e5a7-489d-bfed-27c845c2e9c1 ro
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/06/2015
  dmi.bios.vendor: EFI Development Kit II / OVMF
  dmi.bios.version: 0.0.0
  dmi.chassis.type: 1
  dmi.chassis.vendor: QEMU
  dmi.chassis.version: pc-q35-5.0
  dmi.modalias: 
dmi:bvnEFIDevelopmentKitII/OVMF:bvr0.0.0:bd02/06/2015:svnQEMU:pnStandardPC(Q35+ICH9,2009):pvrpc-q35-5.0:cvnQEMU:ct1:cvrpc-q35-5.0:
  dmi.product.name: Standard PC (Q35 + ICH9, 2009)
  dmi.product.version: pc-q35-5.0
  dmi.sys.vendor: QEMU
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.99-1ubuntu1~18.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.8-0ubuntu0~18.04.3
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4.4
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20171229-1
  version.xserver-xorg-video-nouveau: 

[Touch-packages] [Bug 1718658] Re: ecryptfs-mount-private fails to initialize ecryptfs keys

2020-05-26 Thread Kenneth Sartre
Same issue here some time after upgrading from 16.04 lts to 18.04 lts. These 
error messages appear after reboot:
[ 61.411306] Could not find key with description: [...]
[ 61.411344] Could not find valid key in user session keyring for sig specified 
in mount option: [...]
[ 61.411383] Error parsing options; rc = [-2]

Note: ssh login when `PasswordAuthentication: no` denies connection
since this bug.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1718658

Title:
  ecryptfs-mount-private fails to initialize ecryptfs keys

Status in ecryptfs-utils package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  ecryptfs-mount-private fails to mount the ecryptfs after the 1st
  reboot after creating the ecryptfs by ecryptfs-setup-private.

  After the unsucessful attempt dmesg contains:

  [ 1265.695388] Could not find key with description: []
  [ 1265.695393] process_request_key_err: No key
  [ 1265.695394] Could not find valid key in user session keyring for sig 
specified in mount option: []
  [ 1265.695395] One or more global auth toks could not properly register; rc = 
[-2]
  [ 1265.695396] Error parsing options; rc = [-2]

  Note: The correct key ID has been replaced in the "".

  I also accidentally found an workaround - just running ecrytpfs-
  manager and then the ecryptfs-mount-private (it does not ask for
  password for the second time and mounts the ecryptfs correctly):

  host:~$ ecryptfs-manager

  eCryptfs key management menu
  ---
1. Add passphrase key to keyring
2. Add public key to keyring
3. Generate new public/private keypair
4. Exit

  Make selection: 4
  host:~$ ls Private/
  Access-Your-Private-Data.desktop  README.txt
  host:~$ ecryptfs-mount-private 
  host:~$ ls Private/
  

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ecryptfs-utils/+bug/1718658/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1866194] Re: External audio device shows up in the sound output options but the sound keeps being emitted from the internal laptop speaker, or none at all.

2020-05-26 Thread Cas
The workaround that worked for me from the pulseaudio #832 bug:

mv ~/.config/pulse/ ~/.config/pulse.old
systemctl --user restart pulseaudio

Also the bug has been found and a fix is in review:
https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/issues/832#note_511010

** Bug watch added: gitlab.freedesktop.org/pulseaudio/pulseaudio/-/issues #832
   https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/issues/832

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1866194

Title:
  External audio device shows up in the sound output options but the
  sound keeps being emitted from the internal laptop speaker, or none at
  all.

Status in gnome-control-center:
  Unknown
Status in PulseAudio:
  New
Status in gnome-control-center package in Ubuntu:
  Invalid
Status in pulseaudio package in Ubuntu:
  In Progress
Status in gnome-control-center source package in Focal:
  Invalid
Status in pulseaudio source package in Focal:
  In Progress

Bug description:
  Ubuntu version: focal dev
  Kernel version: 5.4.0-14-generic #17-Ubuntu SMP Thu Feb 6 22:47:59 UTC 2020
  Pulseaudio: 1:13.99.1-1ubuntu1
  Device CID: 201704-25503

  Steps to reproduce:

  1. Connect an audio interface. I tried with BT headphones and speakers as 
well as a USB microphone/output.
  2. Make sure it's the one selected as "Output device"
  3. Click "Test"
  -> the test sound outputs from the internal laptop speakers (NOK)
  4. Select "Speakers - Built-in Audio" as Output device and click "Test"
  -> the test sound outputs from the internal laptop speakers (OK)
  5. Try to switch back to the BT device and click Test
  -> same result as in step 3

  Tested with 2 different BT devices (one headset and one speaker) as
  well as a USB audio interface (Zoom H2N microphone).

  Attached are btmon logs captured during the procedure described above,
  and pactl logs capture after step 7.

  I was previously using 19.04 and 19.10 on this device and never
  experienced this kind of issue.

  Up to this morning, it was harder to connect the BT device, but once
  connected, the sound would output on it as expected. Now, the BT
  connection seems to work better, but I can't output the sound to the
  BT device...

  I tried to reboot the device, and also to suspend/resume, but in each
  case, the BT device can connect back, but the sound is still output
  from the internal laptop speakers, even when the BT device is selected
  in the Sound settings.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu1
  ProcVersionSignature: Ubuntu 5.4.0-14.17-generic 5.4.18
  Uname: Linux 5.4.0-14-generic x86_64
  ApportVersion: 2.20.11-0ubuntu18
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  pieq   1566 F pulseaudio
   /dev/snd/pcmC0D0c:   pieq   1566 F...m pulseaudio
   /dev/snd/pcmC0D0p:   pieq   1566 F...m pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Mar  5 22:15:50 2020
  InstallationDate: Installed on 2020-01-17 (48 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Alpha amd64 (20200116)
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/23/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.14.0
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.14.0:bd04/23/2019:svnDellInc.:pnInspiron7370:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct10:cvr:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 7370
  dmi.product.sku: 07E9
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-control-center/+bug/1866194/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1720725] Re: Enable multiarch in libsndfile1-dev

2020-05-26 Thread Launchpad Bug Tracker
This bug was fixed in the package libsndfile - 1.0.28-8

---
libsndfile (1.0.28-8) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * examples: Decouple from config.h.
This allows them to be built standalone, without the rest of the
libsndfile source tree. This is useful because config.h is
architecture-dependent, preventing multi-arch co-installation.
  * Mark libsndfile1-dev as Multi-Arch: same.  (Closes: #960445; LP: #1720725)
  * Add a superficial compile/link/execute autopkgtest for libsndfile1-dev.

  [ Mattia Rizzolo ]
  * d/control: Bump debhelper compat level to 13.
+ Add the .la file to d/not-installed.
  * d/rules: Remove now obsolete --dbgsym-migration option.

 -- Mattia Rizzolo   Mon, 25 May 2020 17:33:03 +0200

** Changed in: libsndfile (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libsndfile in Ubuntu.
https://bugs.launchpad.net/bugs/1720725

Title:
  Enable multiarch in libsndfile1-dev

Status in libsndfile package in Ubuntu:
  Fix Released

Bug description:
  Release: Artful Aardvark 17.10
  Package version: 1.0.28-4

  The current version of libsndfile1-dev is not able to be marked Multi-
  Arch: same, because the examples it provides includes an autoheader
  (?) generated config.h file, which has architecture-specific defines
  like SIZEOF_INT. However, as far as I can tell, this header, as well
  as common.h and sfconfig.h aren't actually used in any of the
  examples, despite being included sometimes. So if they were removed,
  it should be possible to mark the dev package as Multi-Arch: same. I
  was able to install both amd64 and i386 versions of libsndfile1-dev
  after removing the examples.

  For a more long-term solution, the header includes in
  debian/libsndfile1-dev.examples can probably be removed once those
  extra includes are removed. A change on the github repo for libsndfile
  was recently merged to get rid of the extra includes, as it's also
  probably a bad idea to (unnecessarily) include internal header files
  in example code.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libsndfile/+bug/1720725/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1632808] Re: Consider supporting IPv6 autoconf in configure_networking

2020-05-26 Thread Dimitri John Ledkov
What about static ipv6? does that make sense? Because i think at least
IBM has asked to support this before.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1632808

Title:
  Consider supporting IPv6 autoconf in configure_networking

Status in MAAS:
  Invalid
Status in initramfs-tools package in Ubuntu:
  Triaged

Bug description:
  Because DHCPv6 only does addresses, and not routes,
  configure_networking needs to wait for the kernel to process a router-
  advertisement before returning claiming an IPv6 config (since all it
  will have is a /128 and no routes, making for a pretty useless network
  stack.)  See Bug #1609898 for context.

  (The syntax for ip= should probably also be extended to allow SLAAC
  configuration.  If the user said "dhcp", then we should insist on
  getting our answer from DHCP.)

  On the bright side, iscsi retries, so after 1 or more failures to
  connect, the router-advertisement comes in and the connect succeeds.

To manage notifications about this bug go to:
https://bugs.launchpad.net/maas/+bug/1632808/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880708] [NEW] ubuntu 14 не видит съемных носителей

2020-05-26 Thread mazilov anatolij
Public bug reported:

usb cd dvd диски не читаются ноутбуком

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8.1
ProcVersionSignature: Ubuntu 3.13.0-53.89-generic 3.13.11-ckt19
Uname: Linux 3.13.0-53-generic x86_64
.tmp.unity.support.test.0:
 
ApportVersion: 2.14.1-0ubuntu3.29
Architecture: amd64
CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Tue May 26 17:43:52 2020
DistUpgraded: 2019-12-27 21:41:16,366 DEBUG enabling apt cron job
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-trusty-amd64-20140620-0
DistroCodename: trusty
DistroVariant: ubuntu
DkmsStatus:
 i915-3.19-3.13, 3.19.1, 3.13.0-53-generic, x86_64: installed
 oem-audio-hda-daily, 0.201601261029~ubuntu14.04.1, 3.13.0-53-generic, x86_64: 
installed
GraphicsCard:
 Intel Corporation Device [8086:22b1] (rev 35) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:06ac]
InstallationDate: Installed on 2019-08-22 (278 days ago)
InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 
20140620-04:25
MachineType: Dell Inc. Inspiron 15-3552
ProcEnviron:
 LANGUAGE=ru_UA:ru
 PATH=(custom, no user)
 LANG=ru_UA.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-53-generic.efi.signed 
root=UUID=27278fc3-e93d-4645-a39a-08d31e3b9369 ro locale=ru_RU drm.debug=0xe 
plymouth:debug quiet splash radeon.modeset=0 nouveau.modeset=0 
i915.disable_power_well=0 video.use_native_backlight=1
SourcePackage: xorg
UpgradeStatus: Upgraded to trusty on 2019-12-27 (150 days ago)
dmi.bios.date: 12/22/2016
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 4.0.13
dmi.board.name: 079W3P
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: 
dmi:bvnDellInc.:bvr4.0.13:bd12/22/2016:svnDellInc.:pnInspiron15-3552:pvr4.0.13:rvnDellInc.:rn079W3P:rvrA00:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Inspiron 15-3552
dmi.product.version: 4.0.13
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.11.3+14.04.20160425-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1ubuntu0.14.04.2
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.6
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.6
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2.11
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1.7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Tue May 26 17:15:09 2020
xserver.configfile: default
xserver.errors:
 
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id   28908 
 vendor AUO
xserver.version: 2:1.15.1-0ubuntu2.11

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug compiz-0.9 trusty ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1880708

Title:
  ubuntu 14 не видит съемных носителей

Status in xorg package in Ubuntu:
  New

Bug description:
  usb cd dvd диски не читаются ноутбуком

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: xorg 1:7.7+1ubuntu8.1
  ProcVersionSignature: Ubuntu 3.13.0-53.89-generic 3.13.11-ckt19
  Uname: Linux 3.13.0-53-generic x86_64
  .tmp.unity.support.test.0:
   
  ApportVersion: 2.14.1-0ubuntu3.29
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  Date: Tue May 26 17:43:52 2020
  DistUpgraded: 2019-12-27 21:41:16,366 DEBUG enabling apt cron job
  DistributionChannelDescriptor:
   # This is a distribution channel descriptor
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-trusty-amd64-20140620-0
  DistroCodename: trusty
  DistroVariant: ubuntu
  DkmsStatus:
   i915-3.19-3.13, 3.19.1, 3.13.0-53-generic, x86_64: installed
   oem-audio-hda-daily, 0.201601261029~ubuntu14.04.1, 3.13.0-53-generic, 
x86_64: installed
  GraphicsCard:
   Intel Corporation Device [8086:22b1] (rev 35) (prog-if 00 [VGA controller])
 Subsystem: Dell Device [1028:06ac]
  InstallationDate: Installed on 2019-08-22 (278 days ago)
  InstallationMedia: Ubuntu 14.04 "Trusty" - Build 

[Touch-packages] [Bug 1835660] Re: initramfs unpacking failed

2020-05-26 Thread Simon Repp
Correction for my last post: More investigation revealed that the issue
IS harmless after all - the error message just happened to be the only
message printed on an otherwise black and unresponsive screen for
multiple seconds before a timeout occurs that after further research
turned out to be caused by something else, not the decoding failure.
Regardless of that the rest of my previous post still applies. (The
"harmless message" exists and does not go away by following the steps
outlined by others, at least for me)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1835660

Title:
  initramfs unpacking failed

Status in initramfs-tools package in Ubuntu:
  Invalid
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  "initramfs unpacking failed: Decoding failed",  message appears on
  boot up.

  If I "update-initramfs" using gzip instead of lz, then boot up passes
  without decoding failed message.

  ---

  However, we currently believe that the decoding error reported in
  dmesg is actually harmless and has no impact on usability on the
  system.

  Switching from lz4 to gzip compression, simply papers over the
  warning, without any benefits, and slows down boot.

  Kernel should be fixed to correctly parse lz4 compressed initrds, or
  at least lower the warning, to not be user visible as an error.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1835660/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874661] Re: networkd sometimes doesn't set mtu received by dhcp

2020-05-26 Thread Dan Streetman
thanks, per comment 12 marking fixed in focal.

** Changed in: systemd (Ubuntu Focal)
   Status: In Progress => Fix Released

** Changed in: systemd (Ubuntu Focal)
 Assignee: Dan Streetman (ddstreet) => (unassigned)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1874661

Title:
  networkd sometimes doesn't set mtu received by dhcp

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Eoan:
  New
Status in systemd source package in Focal:
  Fix Released

Bug description:
  I'm running ubuntu-minimal-1910-eoan on google compute engine with systemd 
242-7ubuntu3.7.
  GCE has mtu 1460, set by dhcp. After having networking issues, I figured out 
that the mtu on the interface was sometimes incorrectly set to 1500.
  I manually changed it to 1420 to have a working system again and enabled 
debugging for systemd-networkd.

  Log (filtered for ens4, some columns removed for better readability):
  09:51:00 ens4: New device has no master, continuing without
  09:51:00 ens4: Flags change: +UP +LOWER_UP +RUNNING +MULTICAST +BROADCAST
  09:51:00 ens4: Link 2 added
  09:51:00 ens4: udev initialized link
  09:51:00 ens4: Saved original MTU: 1420
  09:51:00 ens4: Adding address: fe80::4001:aff:fea4:2/64 (valid forever)
  09:51:00 ens4: Gained IPv6LL
  09:51:00 ens4: Adding address: 10.164.0.2/32 (valid for 15h 15s)
  09:51:00 ens4: Adding route: dst: ff00::/8, src: n/a, gw: n/a, prefsrc: n/a
  09:51:00 ens4: Adding route: dst: fe80::4001:aff:fea4:2/128, src: n/a, gw: 
n/a, prefsrc: n/a
  09:51:00 ens4: Adding route: dst: fe80::/64, src: n/a, gw: n/a, prefsrc: n/a
  09:51:00 ens4: Adding route: dst: 10.164.0.2/32, src: n/a, gw: n/a, prefsrc: 
10.164.0.2
  09:51:00 ens4: Adding route: dst: 10.164.0.1/32, src: n/a, gw: n/a, prefsrc: 
10.164.0.2
  09:51:00 ens4: Adding route: dst: n/a, src: n/a, gw: 10.164.0.1, prefsrc: 
10.164.0.2
  09:51:00 ens4: Link state is up-to-date
  09:51:00 ens4: found matching network 
'/run/systemd/network/10-netplan-ens4.network'
  09:51:00 Setting '/proc/sys/net/ipv6/conf/ens4/proxy_ndp' to '0'
  09:51:00 Setting '/proc/sys/net/ipv6/conf/ens4/use_tempaddr' to '0'
  09:51:00 Setting '/proc/sys/net/ipv6/conf/ens4/accept_ra' to '0'
  09:51:00 ens4: Started LLDP.
  09:51:00 ens4: Setting address genmode for link
  09:51:00 ens4: Setting address genmode done.
  09:51:00 ens4: Removing address 10.164.0.2
  09:51:00 ens4: Acquiring DHCPv4 lease
  09:51:00 ens4: Discovering IPv6 routers
  09:51:00 ens4: Removing address: 10.164.0.2/32 (valid for 15h 15s)
  09:51:00 ens4: Removing route: dst: 10.164.0.2/32, src: n/a, gw: n/a, 
prefsrc: 10.164.0.2
  09:51:00 ens4: DHCPv4 address 10.164.0.2/32 via 10.164.0.1
  09:51:00 ens4: Setting MTU: 1460
  09:51:00 Setting '/proc/sys/net/ipv6/conf/ens4/disable_ipv6' to '0'
  09:51:00 ens4: IPv6 successfully enabled
  09:51:00 ens4: Setting MTU done.
  09:51:00 ens4: Updating address: 10.164.0.2/32 (valid for 1d)
  09:51:00 ens4: Adding route: dst: 10.164.0.2/32, src: n/a, gw: n/a, prefsrc: 
10.164.0.2
  09:51:00 ens4: Configuring route: dst: 10.164.0.1/32, src: n/a, gw: n/a, 
prefsrc: 10.164.0.2
  09:51:00 ens4: Configuring route: dst: n/a, src: n/a, gw: 10.164.0.1, 
prefsrc: 10.164.0.2
  09:51:00 ens4: Updating route: dst: 10.164.0.1/32, src: n/a, gw: n/a, 
prefsrc: 10.164.0.2
  09:51:00 ens4: Updating route: dst: n/a, src: n/a, gw: 10.164.0.1, prefsrc: 
10.164.0.2
  09:51:00 ens4: Configured
  21:50:59 ens4: DHCP lease lost
  21:50:59 ens4: Removing address 10.164.0.2
  21:50:59 ens4: Setting MTU: 1420
  21:50:59 Setting '/proc/sys/net/ipv6/conf/ens4/disable_ipv6' to '0'
  21:50:59 ens4: IPv6 successfully enabled
  21:50:59 ens4: DHCPv4 address 10.164.0.2/32 via 10.164.0.1
  21:50:59 ens4: Removing route: dst: 10.164.0.1/32, src: n/a, gw: n/a, 
prefsrc: 10.164.0.2
  21:50:59 ens4: Removing route: dst: n/a, src: n/a, gw: 10.164.0.1, prefsrc: 
10.164.0.2
  21:50:59 ens4: Removing address: 10.164.0.2/32 (valid for 12h 1s)
  21:50:59 ens4: Removing route: dst: 10.164.0.2/32, src: n/a, gw: n/a, 
prefsrc: 10.164.0.2
  21:50:59 ens4: Setting MTU done.
  21:50:59 ens4: Adding address: 10.164.0.2/32 (valid for 1d)
  21:50:59 ens4: Adding route: dst: 10.164.0.2/32, src: n/a, gw: n/a, prefsrc: 
10.164.0.2
  21:50:59 ens4: Configuring route: dst: 10.164.0.1/32, src: n/a, gw: n/a, 
prefsrc: 10.164.0.2
  21:50:59 ens4: Configuring route: dst: n/a, src: n/a, gw: 10.164.0.1, 
prefsrc: 10.164.0.2
  21:50:59 ens4: Updating route: dst: 10.164.0.1/32, src: n/a, gw: n/a, 
prefsrc: 10.164.0.2
  21:50:59 ens4: Updating route: dst: n/a, src: n/a, gw: 10.164.0.1, prefsrc: 
10.164.0.2
  21:50:59 ens4: Configured

  On dhcp renew (09:51:00), mtu got properly changed to 1460.
  On next dhcp renew (21:50:59) it got changed back to previous value 1420.
  In all cases, /run/systemd/netif/leases/2 correctly contained MTU=1460.

  

[Touch-packages] [Bug 1880541] Re: package udev 245.4-4ubuntu3 failed to install/upgrade: podproces zainstalowany pakiet udev skrypt post-installation returned error code 1

2020-05-26 Thread Francis Ginther
** Tags added: id-5ecbc135f0850f49ac615931

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1880541

Title:
  package udev 245.4-4ubuntu3 failed to install/upgrade: podproces
  zainstalowany pakiet udev skrypt post-installation returned error code
  1

Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  During the Dist upgrade from 18.04 LTS to 20.04 LTS udev failed to
  configure interrupting the upgrade.

  dpkg complained that kvm already exist but it is not a system group.

  From what I saw my user was the only member of kvm group
  I don't recall installing kvm manually but I do have Android emulator 
installed so it is possible that it is related.

  Removing kvm group via
  groupdel kvm
  allowed 
  dpkg --configure -a 
  to succeed

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: udev 245.4-4ubuntu3
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CustomUdevRuleFiles: 56-hpmud.rules 70-snap.core.rules
  Date: Mon May 25 11:01:36 2020
  ErrorMessage: podproces zainstalowany pakiet udev skrypt post-installation 
zwrócił kod błędu 1
  InstallationDate: Installed on 2017-10-18 (949 days ago)
  InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-101-generic 
root=UUID=1c3374a5-d07b-4588-8159-7607318eb2c9 ro quiet splash vt.handoff=1
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: systemd
  Title: package udev 245.4-4ubuntu3 failed to install/upgrade: podproces 
zainstalowany pakiet udev skrypt post-installation zwrócił kod błędu 1
  UpgradeStatus: Upgraded to focal on 2020-05-25 (0 days ago)
  dmi.bios.date: 07/18/2018
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P4.80
  dmi.board.name: X370 Taichi
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP4.80:bd07/18/2018:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnX370Taichi:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.version: To Be Filled By O.E.M.
  dmi.sys.vendor: To Be Filled By O.E.M.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1880541/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1794523] Re: lxc-net.service is not properly ordered with network-online.target

2020-05-26 Thread EOLE team
There is still a problem :-/

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lxc in Ubuntu.
https://bugs.launchpad.net/bugs/1794523

Title:
  lxc-net.service is not properly ordered with network-online.target

Status in lxc package in Ubuntu:
  Expired

Bug description:
  I made several tests and I figure out that the lxc-net.service is
  missing a Wants= directive to be properly ordered against network-
  online.target.

  As I understand the systemd.unit manpage, to be properly ordered a
  unit must define a Requires=/Wants= in addition to an After=/Before=.

  Regards.

  Distributor ID:   Ubuntu
  Description:  Ubuntu 18.04.1 LTS
  Release:  18.04
  Codename: bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lxc/+bug/1794523/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878351] Re: System shutdown directly by pressing power button and releasing immediately on Dell Vostro 5301

2020-05-26 Thread Kai-Heng Feng
** Package changed: systemd (Ubuntu) => linux (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1878351

Title:
  System shutdown directly by pressing power button and releasing
  immediately on Dell Vostro 5301

Status in OEM Priority Project:
  Confirmed
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  kchsieh@kchsieh-laptop:~$ lsb_release -rd
  Description:  Ubuntu 20.04 LTS (fossa-bulbasaur X23)
  Release:  20.04

  kchsieh@kchsieh-laptop:~$ apt-cache policy systemd
  systemd:
Installed: 245.4-4ubuntu3
Candidate: 245.4-4ubuntu3
Version table:
   *** 245.4-4ubuntu3 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status

  Expect: When press the button, the endSeesionDialog should show up.
  Actual: The system shutdown directly.

  When the issue happend:
  endSessionDialog is not triggered immediately after the first power button 
event, but triggered after the second power button event.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  DistributionChannelDescriptor:
   # This is the distribution channel descriptor for the OEM CDs
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-focal-amd64-20200502-85+fossa-bulbasaur+X23
  DistroRelease: Ubuntu 20.04
  InstallationDate: Installed on 2020-05-10 (3 days ago)
  InstallationMedia: Ubuntu 20.04 "Focal" - Build amd64 LIVE Binary 
20200502-05:58
  MachineType: Dell Inc. Vostro 5301
  Package: systemd 245.4-4ubuntu3
  PackageArchitecture: amd64
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.6.0-1010-oem 
root=UUID=b16fea1e-d8bc-4c71-a2e6-c43d269b40de ro quiet splash vt.handoff=7
  ProcVersionSignature: Ubuntu 5.6.0-1010.10-oem 5.6.8
  Tags:  focal
  Uname: Linux 5.6.0-1010-oem x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 04/30/2020
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 0.1.12
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr0.1.12:bd04/30/2020:svnDellInc.:pnVostro5301:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct10:cvr:
  dmi.product.family: Vostro
  dmi.product.name: Vostro 5301
  dmi.product.sku: 09FC
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1878351/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880682] [NEW] LTS 20.04 install fails with probe failure locating drives that were FreeBSD (pfSense) formatted

2020-05-26 Thread Rich Brennan
Public bug reported:

I tried to install LTS 20.04 on a machine (e5-2670 powered)  which had
drives (Crucial 500GB SATA, HGST 2GB rotating) formatted for a pfSense
(FreeBSD) test. Install failed to probe for disks multiple times. dd'ing
zeros over the front part of thedrives allowed installation to proceed.

** Affects: apport (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1880682

Title:
  LTS 20.04 install fails with probe failure locating drives that were
  FreeBSD (pfSense) formatted

Status in apport package in Ubuntu:
  New

Bug description:
  I tried to install LTS 20.04 on a machine (e5-2670 powered)  which had
  drives (Crucial 500GB SATA, HGST 2GB rotating) formatted for a pfSense
  (FreeBSD) test. Install failed to probe for disks multiple times.
  dd'ing zeros over the front part of thedrives allowed installation to
  proceed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1880682/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878351] Re: System shutdown directly by pressing power button and releasing immediately on Dell Vostro 5301

2020-05-26 Thread Balint Reczey
I'm not observing that on 2012 MacBook Air (MBA 5,2).

** Summary changed:

- System shutdown directly by pressing power button and releasing immediately
+ System shutdown directly by pressing power button and releasing immediately 
on Dell Vostro 5301

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1878351

Title:
  System shutdown directly by pressing power button and releasing
  immediately on Dell Vostro 5301

Status in OEM Priority Project:
  Confirmed
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  kchsieh@kchsieh-laptop:~$ lsb_release -rd
  Description:  Ubuntu 20.04 LTS (fossa-bulbasaur X23)
  Release:  20.04

  kchsieh@kchsieh-laptop:~$ apt-cache policy systemd
  systemd:
Installed: 245.4-4ubuntu3
Candidate: 245.4-4ubuntu3
Version table:
   *** 245.4-4ubuntu3 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status

  Expect: When press the button, the endSeesionDialog should show up.
  Actual: The system shutdown directly.

  When the issue happend:
  endSessionDialog is not triggered immediately after the first power button 
event, but triggered after the second power button event.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  DistributionChannelDescriptor:
   # This is the distribution channel descriptor for the OEM CDs
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-focal-amd64-20200502-85+fossa-bulbasaur+X23
  DistroRelease: Ubuntu 20.04
  InstallationDate: Installed on 2020-05-10 (3 days ago)
  InstallationMedia: Ubuntu 20.04 "Focal" - Build amd64 LIVE Binary 
20200502-05:58
  MachineType: Dell Inc. Vostro 5301
  Package: systemd 245.4-4ubuntu3
  PackageArchitecture: amd64
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.6.0-1010-oem 
root=UUID=b16fea1e-d8bc-4c71-a2e6-c43d269b40de ro quiet splash vt.handoff=7
  ProcVersionSignature: Ubuntu 5.6.0-1010.10-oem 5.6.8
  Tags:  focal
  Uname: Linux 5.6.0-1010-oem x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 04/30/2020
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 0.1.12
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr0.1.12:bd04/30/2020:svnDellInc.:pnVostro5301:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct10:cvr:
  dmi.product.family: Vostro
  dmi.product.name: Vostro 5301
  dmi.product.sku: 09FC
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1878351/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1845797] Re: Microphone not detected Lenovo Yoga S940

2020-05-26 Thread Daniele Dellafiore
I've recently upgraded to latest Lenovo Yoga S940, with Intel Core 7 10th gen. 
With Focal Fossa, both audio and mic worked properly until a few days ago. 

Now *sometimes* it loads with dummy audio and no mic at all. 
Now it loaded with only audio and no mic. 

It really seem random to me now.

There is this question that despite a different laptop, has a very similar 
config: 
https://askubuntu.com/questions/1238563/no-sound-pulseaudio-ubuntu-20-04-but-sound-with-pulseaudio-uninstalled

In fact my outputs are:

5.4.0-31-generic

Codec: Realtek ALC298
Codec: Intel Icelake HDMI

00:1f.3 Multimedia audio controller: Intel Corporation Smart Sound
Technology Audio Controller (rev 30)

 List of PLAYBACK Hardware Devices 
card 1: PCH [HDA Intel PCH], device 0: ALC298 Analog [ALC298 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: PCH [HDA Intel PCH], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: PCH [HDA Intel PCH], device 7: HDMI 1 [HDMI 1]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: PCH [HDA Intel PCH], device 8: HDMI 2 [HDMI 2]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: PCH [HDA Intel PCH], device 9: HDMI 3 [HDMI 3]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: PCH [HDA Intel PCH], device 10: HDMI 4 [HDMI 4]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: PCH [HDA Intel PCH], device 11: HDMI 5 [HDMI 5]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: PCH [HDA Intel PCH], device 12: HDMI 6 [HDMI 6]
  Subdevices: 1/1
  Subdevice #0: subdevice #0


Finally: 

$ pacmd list-cards 
1 card(s) available.
index: 0
name: 
driver: 
owner module: 7
properties:
alsa.card = "1"
alsa.card_name = "HDA Intel PCH"
alsa.long_card_name = "HDA Intel PCH at 0x605717 irq 164"
alsa.driver_name = "snd_hda_intel"
device.bus_path = "pci-:00:1f.3"
sysfs.path = "/devices/pci:00/:00:1f.3/sound/card1"
device.bus = "pci"
device.vendor.id = "8086"
device.vendor.name = "Intel Corporation"
device.product.id = "34c8"
device.product.name = "Smart Sound Technology Audio Controller"
device.form_factor = "internal"
device.string = "1"
device.description = "Built-in Audio"
module-udev-detect.discovered = "1"
device.icon_name = "audio-card-pci"

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1845797

Title:
  Microphone not detected Lenovo Yoga S940

Status in Linux:
  Confirmed
Status in alsa-driver package in Ubuntu:
  Confirmed
Status in linux package in Ubuntu:
  Incomplete

Bug description:
  Ubuntu 19.10 as well as 19.04 do not detect the microphone in Lenovo
  Yoga S940

  Attached the screen of gnome sound control panel.

  Inxi output:

  System:Host:  Kernel: 5.3.0-13-generic x86_64 bits: 64 Desktop: 
Gnome 3.34.0 Distro: Ubuntu 19.10 (Eoan Ermine) 
  Machine:   Type: Laptop System: LENOVO product: 81Q7 v: Lenovo Yoga 
S940-14IWL serial:  
 Mobo: LENOVO model: LNVNB161216 v: SDK0J40709 WIN serial:  UEFI: LENOVO v: AKCN34WW date: 06/12/2019 
  CPU:   Topology: Quad Core model: Intel Core i7-8565U bits: 64 type: MT 
MCP L2 cache: 8192 KiB 
 Speed: 1161 MHz min/max: 400/4600 MHz Core speeds (MHz): 1: 1161 
2: 1195 3: 1848 4: 976 5: 1041 6: 1209 7: 1061 
 8: 2229 
  Audio: Device-1: Intel Cannon Point-LP High Definition Audio driver: 
snd_hda_intel 
 Sound Server: ALSA v: k5.3.0-13-generic
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu7
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  daniele2239 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 19.10
  InstallationDate: Installed on 2019-09-12 (17 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  MachineType: LENOVO 81Q7
  Package: pulseaudio 1:13.0-1ubuntu1
  PackageArchitecture: amd64
  ProcFB: 0 i915drmfb
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.3.0-13-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
  ProcVersionSignature: Ubuntu 5.3.0-13.14-generic 5.3.0
  RelatedPackageVersions:
   linux-restricted-modules-5.3.0-13-generic N/A
   linux-backports-modules-5.3.0-13-generic  N/A
   linux-firmware1.182
  Tags:  eoan
  Uname: Linux 5.3.0-13-generic x86_64
  UpgradeStatus: Upgraded to eoan on 2019-09-21 (8 days ago)
  UserGroups: adm cdrom dip docker lpadmin microk8s plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 06/12/2019
  dmi.bios.vendor: LENOVO
  dmi.bios.version: AKCN34WW
  dmi.board.asset.tag: No 

[Touch-packages] [Bug 1880675] [NEW] wait-for-root + mountfail hooks are not as versatile as local-block

2020-05-26 Thread Dimitri John Ledkov
Public bug reported:

wait-for-root + mountfail hooks are not as versatile as local-block

consider switching to just local-block loop.

** Affects: initramfs-tools (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880675

Title:
  wait-for-root + mountfail hooks are not as versatile as local-block

Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  wait-for-root + mountfail hooks are not as versatile as local-block

  consider switching to just local-block loop.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1880675/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880575] Re: Cuenta Online en Google

2020-05-26 Thread David Navas Ricoy
** Package changed: ubuntu => gnome-online-accounts (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gnome-online-accounts in
Ubuntu.
https://bugs.launchpad.net/bugs/1880575

Title:
  Cuenta Online en Google

Status in gnome-online-accounts package in Ubuntu:
  New

Bug description:
  Hasta la versión 18.04.4 LTS podía conectar la cuenta online de la
  universidad (@uoc.edu) sin problemas y sincronizar calendarios y
  contactos con evolution, es una cuenta que se accede a ella via
  google.

  Cuando lo intento con esta versión de ubuntu 20.04 LTS me da un error
  justo después de ingresar la cuenta de correo.

  "Error performing TLS handshake: The Diffie-Hellman prime sent by the
  server is not acceptable (not long enough).

  Y no puedo continuar con el registro de la cuenta.

  Puedo hacer algo yo a nivel local para solucionar este problema? Me
  resulta muy útil poder sincronizar los calendarios de actividades con
  la universidad y los contactos con mi tutor y los profesores de cada
  asignatura.

  Muchas gracias de antemano.
  Un saludo, quedo a la espera de alguna solución.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-online-accounts/+bug/1880575/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880575] [NEW] Cuenta Online en Google

2020-05-26 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

Hasta la versión 18.04.4 LTS podía conectar la cuenta online de la
universidad (@uoc.edu) sin problemas y sincronizar calendarios y
contactos con evolution, es una cuenta que se accede a ella via google.

Cuando lo intento con esta versión de ubuntu 20.04 LTS me da un error
justo después de ingresar la cuenta de correo.

"Error performing TLS handshake: The Diffie-Hellman prime sent by the
server is not acceptable (not long enough).

Y no puedo continuar con el registro de la cuenta.

Puedo hacer algo yo a nivel local para solucionar este problema? Me
resulta muy útil poder sincronizar los calendarios de actividades con la
universidad y los contactos con mi tutor y los profesores de cada
asignatura.

Muchas gracias de antemano.
Un saludo, quedo a la espera de alguna solución.

** Affects: gnome-online-accounts (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: bot-comment
-- 
Cuenta Online en Google
https://bugs.launchpad.net/bugs/1880575
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to gnome-online-accounts in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876884] Re: netplan using incorrect renderer

2020-05-26 Thread Dimitri John Ledkov
@vorlon

I see. Imho, we need to add API to configure "non-critical" internet.
Because for example, netboot in subiquity should be "non-critical" too.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1876884

Title:
  netplan using incorrect renderer

Status in dropbear package in Ubuntu:
  Triaged
Status in initramfs-tools package in Ubuntu:
  Fix Released
Status in netplan.io package in Ubuntu:
  Invalid
Status in dropbear source package in Focal:
  Triaged
Status in initramfs-tools source package in Focal:
  New
Status in netplan.io source package in Focal:
  Invalid
Status in dropbear source package in Groovy:
  Triaged
Status in initramfs-tools source package in Groovy:
  Fix Released
Status in netplan.io source package in Groovy:
  Invalid

Bug description:
  After upgrading ubuntu desktop from 19.10 to 20.04, it's impossible to enable 
screen sharing.
  It used to work fine on 19.10. 

  When clicking the enable/disable toggle, the following message is
  logged in journalctl:

  Failed to enable service vino-server:
  GDBus.Error:org.freedesktop.DBus.Error.InvalidArgs: Sharing cannot be
  enabled on this network, status is '0'

  This is reproducible on both computers I've upgraded. They're both on
  the latest 20.04 package updates as of today.

  I've done some research to rule out common faults:

  $ cat /etc/netplan/01-network-manager-all.yaml 
  # Let NetworkManager manage all devices on this system
  network:
version: 2
renderer: NetworkManager

  (Yes, I've ofc ran netplan apply, but the file already had this
  content anyway.)

  $ cat /etc/NetworkManager/NetworkManager.conf 
  [main]
  plugins=ifupdown,keyfile

  [ifupdown]
  managed=false

  [device]
  wifi.scan-rand-mac-address=no

  
  Also, this seems unrelated to #1871787:
  $ dpkg -l |grep gnome-settings-daemon
  ii  gnome-settings-daemon  3.36.0-1ubuntu2
  ii  gnome-settings-daemon-common   3.36.0-1ubuntu2
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  DistroRelease: Ubuntu 20.04
  InstallationDate: Installed on 2020-01-17 (108 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  Package: gnome-control-center 1:3.36.1-1ubuntu5
  PackageArchitecture: amd64
  ProcVersionSignature: Ubuntu 5.4.0-28.32-generic 5.4.30
  Tags:  focal
  Uname: Linux 5.4.0-28-generic x86_64
  UpgradeStatus: Upgraded to focal on 2020-04-28 (6 days ago)
  UserGroups:
   
  _MarkForUpload: True

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dropbear/+bug/1876884/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 115774] Re: graceful full disk handling. syslog.0 and kern.log.0 grow huge

2020-05-26 Thread Michel-Ekimia
Still happening on 20.04.

I think we should limit this bug to :

- Create a mechanism that would prevent rsyslogd to fillup disk.
- This would make log turn as soon as there is only XX GB left

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rsyslog in Ubuntu.
https://bugs.launchpad.net/bugs/115774

Title:
  graceful full disk handling. syslog.0 and kern.log.0 grow huge

Status in rsyslog package in Ubuntu:
  Confirmed

Bug description:
  These two log files recently grew to over 1 Gb each.  I only noticed
  when I booted up and X failed to start, giving a warming about not
  being able to write to /tmp.  I later discovered that this error was
  due to lack of partition space and that /var/log had become bloated.
  I deleted syslog.0 and kern.log.0 and all is well.  This bug may be
  related to Bug #71870.

  My kernel is 2.6.20-15-generic
  Version is Kubuntu 7.04
  My hard drive is partitioned thus:

  hda1 - WinXP (ntfs) - 10 Gb
  hda5 - windows user files (ntfs) - 30 Gb
  hda6 - / (ext3) - 7 Gb
  hda7 - swap - 2 Gb
  hda8 - user space (fat32) - 2 Gb
  hda9 - /home (ext3) - 25 Gb

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rsyslog/+bug/115774/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1867799] Re: Focal: sudo: setrlimit(RLIMIT_CORE): Operation not permitted

2020-05-26 Thread Niels Kristensen
It has been resolved in 1.8.31p1.

https://github.com/sudo-project/sudo/issues/42#issuecomment-599142606

That version hasn't made it into the focal repository yet though.

** Bug watch added: github.com/sudo-project/sudo/issues #42
   https://github.com/sudo-project/sudo/issues/42

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sudo in Ubuntu.
https://bugs.launchpad.net/bugs/1867799

Title:
  Focal: sudo: setrlimit(RLIMIT_CORE): Operation not permitted

Status in juju:
  Invalid
Status in sudo package in Ubuntu:
  Confirmed

Bug description:
  When bootstrapping to focal and using debug output, we get the
  following outputted to the stderr.

  sudo: setrlimit(RLIMIT_CORE): Operation not permitted

  I'm unsure what it's attempting to do at that point, but others have
  also run into this with a suggested workaround.

  https://gitlab.alpinelinux.org/alpine/aports/issues/11122
  https://bugzilla.redhat.com/show_bug.cgi?id=1773148

To manage notifications about this bug go to:
https://bugs.launchpad.net/juju/+bug/1867799/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1840725] Re: Microphone not working in Ubuntu 18.04.3 LTS on new hp-spectre-x360-convertible-15 laptop

2020-05-26 Thread dan
I'm using an HP Omen. Ubunut 20.04
I have the same Mic problem. 

Speakers working
HDMI connection (never tested)
Jackplug mic working
"Rear mic"/"internal mic" not working. 

Internal mic "not pluggedin" according to Pulsaudio
Rear mic equalizer registers sound when playing audio on computer. 

I've tried so much I don't know what I've done or not done. But I can say
removing 
"options snd-hda-intel dmic_detect=0" (see comment 65) switched the output back 
to "Dummy Speaker" and I lost all audio.

Audio/Mic all fine in Windows boot.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1840725

Title:
  Microphone not working in Ubuntu 18.04.3 LTS on new hp-
  spectre-x360-convertible-15 laptop

Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  Internal Microphone does not work in Ubuntu 18.04.3 LTS in a new hp-
  spectre-x360-convertible-15 laptop. The microphone works perfectly on
  Windows 10 (present in Dual boot mode).

  Initially, Internal Microphone was not even detected but installing
  alsa-tools-gui and overriding pin 0x12 to the Internal Microphone
  fixed that issue. [Pin 0x13 does not work and causes static in a
  headphone if it is plugged in.]

  Microphone is not able to pick up any sound. I changed levels/settings in 
alsamixer, pavucontrol without any success:
  In alsamixer: Experimented with levels ranging from very low to very high for 
Internal Mic, Capture, etc.
  In pavucontrol: Set the Internal Mic as a fallback device, unlocked the 
channels for the mic, experimented with reducing the level for one of the 
channels (reduced right mic level to Silence while keeping the left mic level 
normal/high and vice versa).

  alsa-info:
  http://alsa-project.org/db/?f=cf6d3ccc6372f955da7d99df07afbcb31d5a6c7f

  arecord -l
   List of CAPTURE Hardware Devices 
  card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
Subdevices: 1/1
Subdevice #0: subdevice #0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1840725/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880654] Re: package python2-minimal 2.7.17-2ubuntu4 failed to install/upgrade: installed python2-minimal package post-installation script subprocess returned error exit status 1

2020-05-26 Thread Denys Fedoryshchenko
It seems problem was in custom installed python-2.7 in /usr/local/bin.
Not really "vanilla" ubuntu and not ubuntu fault, but maybe should be checked 
properly (if that possible).

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python-defaults in Ubuntu.
https://bugs.launchpad.net/bugs/1880654

Title:
  package python2-minimal 2.7.17-2ubuntu4 failed to install/upgrade:
  installed python2-minimal package post-installation script subprocess
  returned error exit status 1

Status in python-defaults package in Ubuntu:
  New

Bug description:
  During upgrade from 18 to 20 it spit this error.

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: python2-minimal 2.7.17-2ubuntu4
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.14
  Architecture: amd64
  Date: Tue May 26 09:49:11 2020
  ErrorMessage: installed python2-minimal package post-installation script 
subprocess returned error exit status 1
  InstallationDate: Installed on 2015-03-15 (1899 days ago)
  InstallationMedia: Ubuntu-Server 12.04.4 LTS "Precise Pangolin" - Release 
amd64 (20140204)
  Python3Details: /usr/bin/python3.6, Python 3.6.9, python3-minimal, 
3.6.7-1~18.04
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2.3
   apt  1.6.12ubuntu0.1
  SourcePackage: python-defaults
  Title: package python2-minimal 2.7.17-2ubuntu4 failed to install/upgrade: 
installed python2-minimal package post-installation script subprocess returned 
error exit status 1
  UpgradeStatus: Upgraded to focal on 2020-05-26 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-defaults/+bug/1880654/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880654] Re: package python2-minimal 2.7.17-2ubuntu4 failed to install/upgrade: installed python2-minimal package post-installation script subprocess returned error exit status 1

2020-05-26 Thread Apport retracing service
** Tags removed: need-duplicate-check

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python-defaults in Ubuntu.
https://bugs.launchpad.net/bugs/1880654

Title:
  package python2-minimal 2.7.17-2ubuntu4 failed to install/upgrade:
  installed python2-minimal package post-installation script subprocess
  returned error exit status 1

Status in python-defaults package in Ubuntu:
  New

Bug description:
  During upgrade from 18 to 20 it spit this error.

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: python2-minimal 2.7.17-2ubuntu4
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.14
  Architecture: amd64
  Date: Tue May 26 09:49:11 2020
  ErrorMessage: installed python2-minimal package post-installation script 
subprocess returned error exit status 1
  InstallationDate: Installed on 2015-03-15 (1899 days ago)
  InstallationMedia: Ubuntu-Server 12.04.4 LTS "Precise Pangolin" - Release 
amd64 (20140204)
  Python3Details: /usr/bin/python3.6, Python 3.6.9, python3-minimal, 
3.6.7-1~18.04
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2.3
   apt  1.6.12ubuntu0.1
  SourcePackage: python-defaults
  Title: package python2-minimal 2.7.17-2ubuntu4 failed to install/upgrade: 
installed python2-minimal package post-installation script subprocess returned 
error exit status 1
  UpgradeStatus: Upgraded to focal on 2020-05-26 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-defaults/+bug/1880654/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880654] [NEW] package python2-minimal 2.7.17-2ubuntu4 failed to install/upgrade: installed python2-minimal package post-installation script subprocess returned error exit status

2020-05-26 Thread Denys Fedoryshchenko
Public bug reported:

During upgrade from 18 to 20 it spit this error.

ProblemType: Package
DistroRelease: Ubuntu 20.04
Package: python2-minimal 2.7.17-2ubuntu4
ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
Uname: Linux 4.15.0-101-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.14
Architecture: amd64
Date: Tue May 26 09:49:11 2020
ErrorMessage: installed python2-minimal package post-installation script 
subprocess returned error exit status 1
InstallationDate: Installed on 2015-03-15 (1899 days ago)
InstallationMedia: Ubuntu-Server 12.04.4 LTS "Precise Pangolin" - Release amd64 
(20140204)
Python3Details: /usr/bin/python3.6, Python 3.6.9, python3-minimal, 3.6.7-1~18.04
PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 2.7.17-4
RelatedPackageVersions:
 dpkg 1.19.0.5ubuntu2.3
 apt  1.6.12ubuntu0.1
SourcePackage: python-defaults
Title: package python2-minimal 2.7.17-2ubuntu4 failed to install/upgrade: 
installed python2-minimal package post-installation script subprocess returned 
error exit status 1
UpgradeStatus: Upgraded to focal on 2020-05-26 (0 days ago)

** Affects: python-defaults (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package focal third-party-packages

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python-defaults in Ubuntu.
https://bugs.launchpad.net/bugs/1880654

Title:
  package python2-minimal 2.7.17-2ubuntu4 failed to install/upgrade:
  installed python2-minimal package post-installation script subprocess
  returned error exit status 1

Status in python-defaults package in Ubuntu:
  New

Bug description:
  During upgrade from 18 to 20 it spit this error.

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: python2-minimal 2.7.17-2ubuntu4
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.14
  Architecture: amd64
  Date: Tue May 26 09:49:11 2020
  ErrorMessage: installed python2-minimal package post-installation script 
subprocess returned error exit status 1
  InstallationDate: Installed on 2015-03-15 (1899 days ago)
  InstallationMedia: Ubuntu-Server 12.04.4 LTS "Precise Pangolin" - Release 
amd64 (20140204)
  Python3Details: /usr/bin/python3.6, Python 3.6.9, python3-minimal, 
3.6.7-1~18.04
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2.3
   apt  1.6.12ubuntu0.1
  SourcePackage: python-defaults
  Title: package python2-minimal 2.7.17-2ubuntu4 failed to install/upgrade: 
installed python2-minimal package post-installation script subprocess returned 
error exit status 1
  UpgradeStatus: Upgraded to focal on 2020-05-26 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-defaults/+bug/1880654/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp